clear;
load eof_rossby_jjas_2006_1030.mat
carte1=C(:,425);

carte=reshape(carte1,25,17);
carte=carte';

clear carte1;
% defintion des lat et lon
lon=[-30:2.5:30]'; 
lat=[-10:2.5:30];

figure(1); orient('landscape');
subplot(3,2,1);
palette;
for a=1:17;
    for b=1:25;
        if carte(a,b)>0.2;
            carte(a,b)=0.2;
        elseif carte(a,b)<-0.2;
            carte(a,b)=-0.2;
        end;
    end;
end;
carte(1,1)=-0.2001;
carte(1,2)=0.2001;

contourf(lon,lat,-carte,[-0.2:0.02:0.2],'LineStyle','none');
colorbar;
title('OLR EOF1','Fontsize',8);
hold on; cartemonde;
set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
set (gca,'tickDir','out');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear carte1 x y a b carte coco; 
carte1=C(:,424);
carte=reshape(carte1,25,17);
carte=carte';

clear carte1;
lon=[-30:2.5:30]';
lat=[-10:2.5:30];

subplot(3,2,3);
palette;
for a=1:17;
    for b=1:25;
        if carte(a,b)>0.2;
            carte(a,b)=0.2;
        elseif carte(a,b)<-0.2;
            carte(a,b)=-0.2;
        end;
    end;
end;
carte(1,1)=-0.2001;
carte(1,2)=0.2001;

contourf(lon,lat,carte,[-0.2:0.02:0.2],'LineStyle','none');
colorbar;

title('OLR EOF2','Fontsize',8);
hold on; cartemonde;
set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
set (gca,'tickDir','out');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear carte1 x y a b carte coco;
carte1=C(:,423);
carte=reshape(carte1,25,17);
carte=carte';
clear carte1;

% defintion des lat et lon
lon=[-30:2.5:30]'; 
lat=[-10:2.5:30];

subplot(3,2,5);
palette;
for a=1:17;
    for b=1:25;
        if carte(a,b)>0.2;
            carte(a,b)=0.2;
        elseif carte(a,b)<-0.2;
            carte(a,b)=-0.2;
        end;
    end;
end;
carte(1,1)=-0.2001;
carte(1,2)=0.2001;

contourf(lon,lat,-carte,[-0.2:0.02:0.2],'LineStyle','none');
colorbar;
title('OLR EOF3','Fontsize',8);
hold on; cartemonde;
set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
set (gca,'tickDir','out');

subplot(3,2,2);
vaude=0;
for a=1:425;
   vaude=vaude+L(a,a);
end
vecteurs=zeros(20,1);
for a=1:20;
   b=425-(a-1);
   vecteurs(a)=100*(L(b,b)/vaude);
end
x=[1:20]';

bar(x,vecteurs,'LineStyle','none')
save vecteurs_eof_ER1030.txt vecteurs -ascii;
axis([0.5 20.5 0 25]); 
set (gca,'YTick',[0:5:25],'YTickLabel',[0:5:25],'fontname','Arial','fontsize',6);
set (gca,'XTick',[2:2:20],'XTickLabel',[2:2:20],'fontname','Arial','fontsize',6);
set (gca,'tickDir','out');

print -depsc2 resultats_eof_jjas_2006_1030.eps;
