% initialisation
clear; close all;

cd('..');
ncload('olr.day.mean.nc');
cd('mode_sahelien');
% taille 12327x73x144 1er juin 1974-31 decembre2007
% on enleve les annees 1974 a 1978 nombre de jours a enlever au debut 214+365+366+365+365
% on enleve les annees 2007 a 2008 nombre de jours a enlever au debut 12327-(365+60)

debut=214+365+366+365+365;
fin=12327-(365+60);
olr=olr(debut:fin,5:45,:);
siz=fin-debut+1;
for a=1:41;
   for b=1:144;
       for c=1:siz;
          if olr(c,a,b)==32766;
              olr(c,a,b)=NaN;
          end;
       end ;
   end;
end;
olr=olr*0.01+327.65;
olr1=zeros(siz,41,144);
olr1(:,:,1:72)=olr(:,:,73:144);
olr1(:,:,73:144)=olr(:,:,1:72); clear olr;

% on permture le temps et l'espce
% nouvelles dimentions
% 41 144 siz
olr1=permute(olr1, [2 3 1]);

for a=1:41;
   for b=1:144;
      clear vecteur
      vecteur=zeros(siz,1);
      for c=1:siz;
           vecteur(c)=olr1(a,b,c);    
      end;
      std_c=nanmean(vecteur);
      for c=1:siz;
          olr1(a,b,c)=olr1(a,b,c)-std_c;    
      end 
   end
end;   

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% on met sous la forme longitude latitude jour


% on selectionne les mois d ete (attention aux annees bixestiles!)

siz1=31+28+31+30+31+1;
siz1bis=31+28+31+30+31+30+31+31+30;
a=siz1bis-siz1;
olr=zeros(41,144,122,28);
siz2=siz1+366; siz2bis=siz2+a; % 1980
siz3=siz2+365; siz3bis=siz3+a; % 1981
siz4=siz3+365; siz4bis=siz4+a; % 1982
siz5=siz4+365; siz5bis=siz5+a; % 1983
siz6=siz5+366; siz6bis=siz6+a; % 1984
siz7=siz6+365; siz7bis=siz7+a; % 1985
siz8=siz7+365; siz8bis=siz8+a; % 1986
siz9=siz8+365; siz9bis=siz9+a; % 1987
siz10=siz9+366; siz10bis=siz10+a; % 1988
siz11=siz10+365; siz11bis=siz11+a; % 1989
siz12=siz11+365; siz12bis=siz12+a; % 1990
siz13=siz12+365; siz13bis=siz13+a; % 1991
siz14=siz13+366; siz14bis=siz14+a; % 1992
siz15=siz14+365; siz15bis=siz15+a; % 1993
siz16=siz15+365; siz16bis=siz16+a; % 1994
siz17=siz16+365; siz17bis=siz17+a; % 1995
siz18=siz17+366; siz18bis=siz18+a; % 1996
siz19=siz18+365; siz19bis=siz19+a; % 1997
siz20=siz19+365; siz20bis=siz20+a; % 1998
siz21=siz20+365; siz21bis=siz21+a; % 1999
siz22=siz21+366; siz22bis=siz22+a; % 2000
siz23=siz22+365; siz23bis=siz23+a; % 2000
siz24=siz23+365; siz24bis=siz24+a; % 2000
siz25=siz24+365; siz25bis=siz25+a; % 2000
siz26=siz25+366; siz26bis=siz26+a; % 2000
siz27=siz26+365; siz27bis=siz27+a; % 2000
siz28=siz27+365; siz28bis=siz28+a; % 2000


olr(:,:,:,1)=olr1(:,:,siz1:siz1bis); % 1979
olr(:,:,:,2)=olr1(:,:,siz2:siz2bis); % 1980
olr(:,:,:,3)=olr1(:,:,siz3:siz3bis); % 1981
olr(:,:,:,4)=olr1(:,:,siz4:siz4bis); % 1982
olr(:,:,:,5)=olr1(:,:,siz5:siz5bis); % 1983
olr(:,:,:,6)=olr1(:,:,siz6:siz6bis); % 1984
olr(:,:,:,7)=olr1(:,:,siz7:siz7bis); % 1985
olr(:,:,:,8)=olr1(:,:,siz8:siz8bis); % 1986
olr(:,:,:,9)=olr1(:,:,siz9:siz9bis); % 1987
olr(:,:,:,10)=olr1(:,:,siz10:siz10bis); % 1988
olr(:,:,:,11)=olr1(:,:,siz11:siz11bis); % 1989
olr(:,:,:,12)=olr1(:,:,siz12:siz12bis); % 1990
olr(:,:,:,13)=olr1(:,:,siz13:siz13bis); % 1991
olr(:,:,:,14)=olr1(:,:,siz14:siz14bis); % 1992
olr(:,:,:,15)=olr1(:,:,siz15:siz15bis); % 1993
olr(:,:,:,16)=olr1(:,:,siz16:siz16bis); % 1994
olr(:,:,:,17)=olr1(:,:,siz17:siz17bis); % 1995
olr(:,:,:,18)=olr1(:,:,siz18:siz18bis); % 1996
olr(:,:,:,19)=olr1(:,:,siz19:siz19bis); % 1997
olr(:,:,:,20)=olr1(:,:,siz20:siz20bis); % 1998
olr(:,:,:,21)=olr1(:,:,siz21:siz21bis); % 1999
olr(:,:,:,22)=olr1(:,:,siz22:siz22bis); % 2000
olr(:,:,:,23)=olr1(:,:,siz23:siz23bis); % 2001
olr(:,:,:,24)=olr1(:,:,siz24:siz24bis); % 2002
olr(:,:,:,25)=olr1(:,:,siz25:siz25bis); % 2003
olr(:,:,:,26)=olr1(:,:,siz26:siz26bis); % 2004
olr(:,:,:,27)=olr1(:,:,siz27:siz27bis); % 2005
olr(:,:,:,28)=olr1(:,:,siz28:siz28bis); % 2006


clear siz1 siz1bis;
clear siz2 siz2bis;
clear siz3 siz3bis;
clear siz4 siz4bis;
clear siz5 siz5bis;
clear siz6 siz6bis;
clear siz7 siz7bis;
clear siz8 siz8bis;
clear siz9 siz9bis;
clear siz10 siz10bis;
clear siz11 siz11bis;
clear siz12 siz12bis;
clear siz13 siz13bis;
clear siz14 siz14bis;
clear siz15 siz15bis;
clear siz16 siz16bis;
clear siz17 siz17bis;
clear siz18 siz18bis;
clear siz19 siz19bis;
clear siz20 siz20bis;
clear siz21 siz21bis;
clear siz22 siz22bis;
clear siz23 siz23bis;
clear siz24 siz24bis;
clear siz25 siz25bis;
clear siz26 siz26bis;
clear siz27 siz27bis;
clear siz28 siz28bis;

% olr=zeros(41,144,122,28);

olr=permute(olr,[3 4 1 2]);

%%%%%%%%%%%%%%% FICHIER OLR
fid=fopen('sahel_pb.dat','r');
v=fread(fid,3538,'float');
fclose(fid);

% on met sous la forme annee mois
ind_olr=reshape(v,122,29); clear v; 

% on selectionne les annees de 1979 a 2006
ind_olr=ind_olr(:,1:28);
k=122*28; 

% on calcule l ecart type sur la serie entiere de l OLR
ind_olr=reshape(ind_olr, k,1);
std_olr=std(ind_olr); 
moy_olr=mean(ind_olr); clear ind_olr1;
for a=1:3416;
     ind_olr(a)=(ind_olr(a)-moy_olr)/std_olr;
end;
ind_olr=reshape(ind_olr,122,28);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% intialisation des tableaux
olr_filtre_compomax=NaN*ones(3,80,31,41,144); 
olr_filtre_compomin=NaN*ones(3,80,31,41,144);

compteurmax=0; 
compteurmin=0;
for a=1:28; % boucle sur les annees
   clear delta; 
   delta=zeros(122,1);
   for b=1:122; % boucle sur les jours : on prepare avant   
        if b>1;
            delta(b)=ind_olr(b,a)-ind_olr(b-1,a);
        end;
   end;
   for b=1:122; % boucle sur les jours
      if (b>21 && b<112); % 1ere condition (laisser une marge de 10) 
% cas 1 : max deltas apres negetifs et deltas avant postifs   
         if (delta(b+1)<0 && delta(b)>0 && ind_olr(b,a)>1.50); 
            compteurmax=compteurmax+1;
olr_filtre_compomax(1,compteurmax,1,:,:)=olr(b-20,a,:,:);
olr_filtre_compomax(1,compteurmax,2,:,:)=olr(b-19,a,:,:);
olr_filtre_compomax(1,compteurmax,3,:,:)=olr(b-18,a,:,:);
olr_filtre_compomax(1,compteurmax,4,:,:)=olr(b-17,a,:,:);
olr_filtre_compomax(1,compteurmax,5,:,:)=olr(b-16,a,:,:);
olr_filtre_compomax(1,compteurmax,6,:,:)=olr(b-15,a,:,:);
olr_filtre_compomax(1,compteurmax,7,:,:)=olr(b-14,a,:,:);
olr_filtre_compomax(1,compteurmax,8,:,:)=olr(b-13,a,:,:);
olr_filtre_compomax(1,compteurmax,9,:,:)=olr(b-12,a,:,:);
olr_filtre_compomax(1,compteurmax,10,:,:)=olr(b-11,a,:,:);
olr_filtre_compomax(1,compteurmax,11,:,:)=olr(b-10,a,:,:);
olr_filtre_compomax(1,compteurmax,12,:,:)=olr(b-9,a,:,:);
olr_filtre_compomax(1,compteurmax,13,:,:)=olr(b-8,a,:,:);
olr_filtre_compomax(1,compteurmax,14,:,:)=olr(b-7,a,:,:);
olr_filtre_compomax(1,compteurmax,15,:,:)=olr(b-6,a,:,:);
olr_filtre_compomax(1,compteurmax,16,:,:)=olr(b-5,a,:,:);
olr_filtre_compomax(1,compteurmax,17,:,:)=olr(b-4,a,:,:);
olr_filtre_compomax(1,compteurmax,18,:,:)=olr(b-3,a,:,:);
olr_filtre_compomax(1,compteurmax,19,:,:)=olr(b-2,a,:,:);
olr_filtre_compomax(1,compteurmax,20,:,:)=olr(b-1,a,:,:);
olr_filtre_compomax(1,compteurmax,21,:,:)=olr(b,a,:,:);
olr_filtre_compomax(1,compteurmax,22,:,:)=olr(b+1,a,:,:);
olr_filtre_compomax(1,compteurmax,23,:,:)=olr(b+2,a,:,:);
olr_filtre_compomax(1,compteurmax,24,:,:)=olr(b+3,a,:,:);
olr_filtre_compomax(1,compteurmax,25,:,:)=olr(b+4,a,:,:);
olr_filtre_compomax(1,compteurmax,26,:,:)=olr(b+5,a,:,:);
olr_filtre_compomax(1,compteurmax,27,:,:)=olr(b+6,a,:,:);
olr_filtre_compomax(1,compteurmax,28,:,:)=olr(b+7,a,:,:);
olr_filtre_compomax(1,compteurmax,29,:,:)=olr(b+8,a,:,:);
olr_filtre_compomax(1,compteurmax,30,:,:)=olr(b+9,a,:,:);
olr_filtre_compomax(1,compteurmax,31,:,:)=olr(b+10,a,:,:);

olr_filtre_compomax(2,compteurmax,1,:,:)=olr(b-21,a,:,:);
olr_filtre_compomax(2,compteurmax,2,:,:)=olr(b-20,a,:,:);
olr_filtre_compomax(2,compteurmax,3,:,:)=olr(b-19,a,:,:);
olr_filtre_compomax(2,compteurmax,4,:,:)=olr(b-18,a,:,:);
olr_filtre_compomax(2,compteurmax,5,:,:)=olr(b-17,a,:,:);
olr_filtre_compomax(2,compteurmax,6,:,:)=olr(b-16,a,:,:);
olr_filtre_compomax(2,compteurmax,7,:,:)=olr(b-15,a,:,:);
olr_filtre_compomax(2,compteurmax,8,:,:)=olr(b-14,a,:,:);
olr_filtre_compomax(2,compteurmax,9,:,:)=olr(b-13,a,:,:);
olr_filtre_compomax(2,compteurmax,10,:,:)=olr(b-12,a,:,:);
olr_filtre_compomax(2,compteurmax,11,:,:)=olr(b-11,a,:,:);
olr_filtre_compomax(2,compteurmax,12,:,:)=olr(b-10,a,:,:);
olr_filtre_compomax(2,compteurmax,13,:,:)=olr(b-9,a,:,:);
olr_filtre_compomax(2,compteurmax,14,:,:)=olr(b-8,a,:,:);
olr_filtre_compomax(2,compteurmax,15,:,:)=olr(b-7,a,:,:);
olr_filtre_compomax(2,compteurmax,16,:,:)=olr(b-6,a,:,:);
olr_filtre_compomax(2,compteurmax,17,:,:)=olr(b-5,a,:,:);
olr_filtre_compomax(2,compteurmax,18,:,:)=olr(b-4,a,:,:);
olr_filtre_compomax(2,compteurmax,19,:,:)=olr(b-3,a,:,:);
olr_filtre_compomax(2,compteurmax,20,:,:)=olr(b-2,a,:,:);
olr_filtre_compomax(2,compteurmax,21,:,:)=olr(b-1,a,:,:);
olr_filtre_compomax(2,compteurmax,22,:,:)=olr(b,a,:,:);
olr_filtre_compomax(2,compteurmax,23,:,:)=olr(b+1,a,:,:);
olr_filtre_compomax(2,compteurmax,24,:,:)=olr(b+2,a,:,:);
olr_filtre_compomax(2,compteurmax,25,:,:)=olr(b+3,a,:,:);
olr_filtre_compomax(2,compteurmax,26,:,:)=olr(b+4,a,:,:);
olr_filtre_compomax(2,compteurmax,27,:,:)=olr(b+5,a,:,:);
olr_filtre_compomax(2,compteurmax,28,:,:)=olr(b+6,a,:,:);
olr_filtre_compomax(2,compteurmax,29,:,:)=olr(b+7,a,:,:);
olr_filtre_compomax(2,compteurmax,30,:,:)=olr(b+8,a,:,:);
olr_filtre_compomax(2,compteurmax,31,:,:)=olr(b+9,a,:,:);

olr_filtre_compomax(3,compteurmax,1,:,:)=olr(b-19,a,:,:);
olr_filtre_compomax(3,compteurmax,2,:,:)=olr(b-18,a,:,:);
olr_filtre_compomax(3,compteurmax,3,:,:)=olr(b-17,a,:,:);
olr_filtre_compomax(3,compteurmax,4,:,:)=olr(b-16,a,:,:);
olr_filtre_compomax(3,compteurmax,5,:,:)=olr(b-15,a,:,:);
olr_filtre_compomax(3,compteurmax,6,:,:)=olr(b-14,a,:,:);
olr_filtre_compomax(3,compteurmax,7,:,:)=olr(b-13,a,:,:);
olr_filtre_compomax(3,compteurmax,8,:,:)=olr(b-12,a,:,:);
olr_filtre_compomax(3,compteurmax,9,:,:)=olr(b-11,a,:,:);
olr_filtre_compomax(3,compteurmax,10,:,:)=olr(b-10,a,:,:);
olr_filtre_compomax(3,compteurmax,11,:,:)=olr(b-9,a,:,:);
olr_filtre_compomax(3,compteurmax,12,:,:)=olr(b-8,a,:,:);
olr_filtre_compomax(3,compteurmax,13,:,:)=olr(b-7,a,:,:);
olr_filtre_compomax(3,compteurmax,14,:,:)=olr(b-6,a,:,:);
olr_filtre_compomax(3,compteurmax,15,:,:)=olr(b-5,a,:,:);
olr_filtre_compomax(3,compteurmax,16,:,:)=olr(b-4,a,:,:);
olr_filtre_compomax(3,compteurmax,17,:,:)=olr(b-3,a,:,:);
olr_filtre_compomax(3,compteurmax,18,:,:)=olr(b-2,a,:,:);
olr_filtre_compomax(3,compteurmax,19,:,:)=olr(b-1,a,:,:);
olr_filtre_compomax(3,compteurmax,20,:,:)=olr(b,a,:,:);
olr_filtre_compomax(3,compteurmax,21,:,:)=olr(b+1,a,:,:);
olr_filtre_compomax(3,compteurmax,22,:,:)=olr(b+2,a,:,:);
olr_filtre_compomax(3,compteurmax,23,:,:)=olr(b+3,a,:,:);
olr_filtre_compomax(3,compteurmax,24,:,:)=olr(b+4,a,:,:);
olr_filtre_compomax(3,compteurmax,25,:,:)=olr(b+5,a,:,:);
olr_filtre_compomax(3,compteurmax,26,:,:)=olr(b+6,a,:,:);
olr_filtre_compomax(3,compteurmax,27,:,:)=olr(b+7,a,:,:);
olr_filtre_compomax(3,compteurmax,28,:,:)=olr(b+8,a,:,:);
olr_filtre_compomax(3,compteurmax,29,:,:)=olr(b+9,a,:,:);
olr_filtre_compomax(3,compteurmax,30,:,:)=olr(b+10,a,:,:);
olr_filtre_compomax(3,compteurmax,31,:,:)=olr(b+11,a,:,:);


% cas 2 : min deltas apres positifs et deltas avant negatifs   
         elseif (delta(b+1)>0 && delta(b)<0  && ind_olr(b,a)<-1.50);
            compteurmin=compteurmin+1;

olr_filtre_compomin(1,compteurmin,1,:,:)=olr(b-21,a,:,:);
olr_filtre_compomin(1,compteurmin,2,:,:)=olr(b-20,a,:,:);
olr_filtre_compomin(1,compteurmin,3,:,:)=olr(b-19,a,:,:);
olr_filtre_compomin(1,compteurmin,4,:,:)=olr(b-18,a,:,:);
olr_filtre_compomin(1,compteurmin,5,:,:)=olr(b-17,a,:,:);
olr_filtre_compomin(1,compteurmin,6,:,:)=olr(b-16,a,:,:);
olr_filtre_compomin(1,compteurmin,7,:,:)=olr(b-15,a,:,:);
olr_filtre_compomin(1,compteurmin,8,:,:)=olr(b-14,a,:,:);
olr_filtre_compomin(1,compteurmin,9,:,:)=olr(b-13,a,:,:);
olr_filtre_compomin(1,compteurmin,10,:,:)=olr(b-12,a,:,:);
olr_filtre_compomin(1,compteurmin,11,:,:)=olr(b-11,a,:,:);
olr_filtre_compomin(1,compteurmin,12,:,:)=olr(b-10,a,:,:);
olr_filtre_compomin(1,compteurmin,13,:,:)=olr(b-9,a,:,:);
olr_filtre_compomin(1,compteurmin,14,:,:)=olr(b-8,a,:,:);
olr_filtre_compomin(1,compteurmin,15,:,:)=olr(b-7,a,:,:);
olr_filtre_compomin(1,compteurmin,16,:,:)=olr(b-6,a,:,:);
olr_filtre_compomin(1,compteurmin,17,:,:)=olr(b-5,a,:,:);
olr_filtre_compomin(1,compteurmin,18,:,:)=olr(b-4,a,:,:);
olr_filtre_compomin(1,compteurmin,19,:,:)=olr(b-3,a,:,:);
olr_filtre_compomin(1,compteurmin,20,:,:)=olr(b-2,a,:,:);
olr_filtre_compomin(1,compteurmin,21,:,:)=olr(b-1,a,:,:);
olr_filtre_compomin(1,compteurmin,22,:,:)=olr(b,a,:,:);
olr_filtre_compomin(1,compteurmin,23,:,:)=olr(b+1,a,:,:);
olr_filtre_compomin(1,compteurmin,24,:,:)=olr(b+2,a,:,:);
olr_filtre_compomin(1,compteurmin,25,:,:)=olr(b+3,a,:,:);
olr_filtre_compomin(1,compteurmin,26,:,:)=olr(b+4,a,:,:);
olr_filtre_compomin(1,compteurmin,27,:,:)=olr(b+5,a,:,:);
olr_filtre_compomin(1,compteurmin,28,:,:)=olr(b+6,a,:,:);
olr_filtre_compomin(1,compteurmin,29,:,:)=olr(b+7,a,:,:);
olr_filtre_compomin(1,compteurmin,30,:,:)=olr(b+8,a,:,:);
olr_filtre_compomin(1,compteurmin,31,:,:)=olr(b+9,a,:,:);

olr_filtre_compomin(2,compteurmin,1,:,:)=olr(b-19,a,:,:);
olr_filtre_compomin(2,compteurmin,2,:,:)=olr(b-18,a,:,:);
olr_filtre_compomin(2,compteurmin,3,:,:)=olr(b-17,a,:,:);
olr_filtre_compomin(2,compteurmin,4,:,:)=olr(b-16,a,:,:);
olr_filtre_compomin(2,compteurmin,5,:,:)=olr(b-15,a,:,:);
olr_filtre_compomin(2,compteurmin,6,:,:)=olr(b-14,a,:,:);
olr_filtre_compomin(2,compteurmin,7,:,:)=olr(b-13,a,:,:);
olr_filtre_compomin(2,compteurmin,8,:,:)=olr(b-12,a,:,:);
olr_filtre_compomin(2,compteurmin,9,:,:)=olr(b-11,a,:,:);
olr_filtre_compomin(2,compteurmin,10,:,:)=olr(b-10,a,:,:);
olr_filtre_compomin(2,compteurmin,11,:,:)=olr(b-9,a,:,:);
olr_filtre_compomin(2,compteurmin,12,:,:)=olr(b-8,a,:,:);
olr_filtre_compomin(2,compteurmin,13,:,:)=olr(b-7,a,:,:);
olr_filtre_compomin(2,compteurmin,14,:,:)=olr(b-6,a,:,:);
olr_filtre_compomin(2,compteurmin,15,:,:)=olr(b-5,a,:,:);
olr_filtre_compomin(2,compteurmin,16,:,:)=olr(b-4,a,:,:);
olr_filtre_compomin(2,compteurmin,17,:,:)=olr(b-3,a,:,:);
olr_filtre_compomin(2,compteurmin,18,:,:)=olr(b-2,a,:,:);
olr_filtre_compomin(2,compteurmin,19,:,:)=olr(b-1,a,:,:);
olr_filtre_compomin(2,compteurmin,20,:,:)=olr(b,a,:,:);
olr_filtre_compomin(2,compteurmin,21,:,:)=olr(b+1,a,:,:);
olr_filtre_compomin(2,compteurmin,22,:,:)=olr(b+2,a,:,:);
olr_filtre_compomin(2,compteurmin,23,:,:)=olr(b+3,a,:,:);
olr_filtre_compomin(2,compteurmin,24,:,:)=olr(b+4,a,:,:);
olr_filtre_compomin(2,compteurmin,25,:,:)=olr(b+5,a,:,:);
olr_filtre_compomin(2,compteurmin,26,:,:)=olr(b+6,a,:,:);
olr_filtre_compomin(2,compteurmin,27,:,:)=olr(b+7,a,:,:);
olr_filtre_compomin(2,compteurmin,28,:,:)=olr(b+8,a,:,:);
olr_filtre_compomin(2,compteurmin,29,:,:)=olr(b+9,a,:,:);
olr_filtre_compomin(2,compteurmin,30,:,:)=olr(b+10,a,:,:);
olr_filtre_compomin(2,compteurmin,31,:,:)=olr(b+11,a,:,:);

olr_filtre_compomin(3,compteurmin,1,:,:)=olr(b-20,a,:,:);
olr_filtre_compomin(3,compteurmin,2,:,:)=olr(b-19,a,:,:);
olr_filtre_compomin(3,compteurmin,3,:,:)=olr(b-18,a,:,:);
olr_filtre_compomin(3,compteurmin,4,:,:)=olr(b-17,a,:,:);
olr_filtre_compomin(3,compteurmin,5,:,:)=olr(b-16,a,:,:);
olr_filtre_compomin(3,compteurmin,6,:,:)=olr(b-15,a,:,:);
olr_filtre_compomin(3,compteurmin,7,:,:)=olr(b-14,a,:,:);
olr_filtre_compomin(3,compteurmin,8,:,:)=olr(b-13,a,:,:);
olr_filtre_compomin(3,compteurmin,9,:,:)=olr(b-12,a,:,:);
olr_filtre_compomin(3,compteurmin,10,:,:)=olr(b-11,a,:,:);
olr_filtre_compomin(3,compteurmin,11,:,:)=olr(b-10,a,:,:);
olr_filtre_compomin(3,compteurmin,12,:,:)=olr(b-9,a,:,:);
olr_filtre_compomin(3,compteurmin,13,:,:)=olr(b-8,a,:,:);
olr_filtre_compomin(3,compteurmin,14,:,:)=olr(b-7,a,:,:);
olr_filtre_compomin(3,compteurmin,15,:,:)=olr(b-6,a,:,:);
olr_filtre_compomin(3,compteurmin,16,:,:)=olr(b-5,a,:,:);
olr_filtre_compomin(3,compteurmin,17,:,:)=olr(b-4,a,:,:);
olr_filtre_compomin(3,compteurmin,18,:,:)=olr(b-3,a,:,:);
olr_filtre_compomin(3,compteurmin,19,:,:)=olr(b-2,a,:,:);
olr_filtre_compomin(3,compteurmin,20,:,:)=olr(b-1,a,:,:);
olr_filtre_compomin(3,compteurmin,21,:,:)=olr(b,a,:,:);
olr_filtre_compomin(3,compteurmin,22,:,:)=olr(b+1,a,:,:);
olr_filtre_compomin(3,compteurmin,23,:,:)=olr(b+2,a,:,:);
olr_filtre_compomin(3,compteurmin,24,:,:)=olr(b+3,a,:,:);
olr_filtre_compomin(3,compteurmin,25,:,:)=olr(b+4,a,:,:);
olr_filtre_compomin(3,compteurmin,26,:,:)=olr(b+5,a,:,:);
olr_filtre_compomin(3,compteurmin,27,:,:)=olr(b+6,a,:,:);
olr_filtre_compomin(3,compteurmin,28,:,:)=olr(b+7,a,:,:);
olr_filtre_compomin(3,compteurmin,29,:,:)=olr(b+8,a,:,:);
olr_filtre_compomin(3,compteurmin,30,:,:)=olr(b+9,a,:,:);
olr_filtre_compomin(3,compteurmin,31,:,:)=olr(b+10,a,:,:);


         end;
      end;
   end;         
end;
compteurmin;
compteurmax;

% on fait la somme des valeurs de olr_filtreentiel sur le nbre d occurences
% on obtent un tableau de la forme (jours-avant-apres,lon,lat)
olr_filtre_compomin=reshape(olr_filtre_compomin,240,31,41,144);
olr_filtre_compomax=reshape(olr_filtre_compomax,240,31,41,144);
olr_filtre_compomin1(:,:,:)=nanmean(olr_filtre_compomin); clear olr_filtre_compomin;
olr_filtre_compomax1(:,:,:)=nanmean(olr_filtre_compomax); clear olr_filtre_compomax;

x=[-10:1:10]'; %'

figure(1); 
orient('landscape');
lat=lat';
lon=lon-180;
lat=lat(5:45);

for e=1:7;
       a=7-(e-1)+1;
       f=2*(a-1)+1;
       clear delta_olr_filtre_min;
       delta_olr_filtre_min=zeros(41,144);
       for b=1:41;
          for c=1:144;
             delta_olr_filtre_min(b,c)=olr_filtre_compomin1(f,b,c)-olr_filtre_compomax1(f,b,c);
          end;
       end;
       for b=1:41;
          for c=1:144;
             if delta_olr_filtre_min(b,c)<-50;
                  delta_olr_filtre_min(b,c)=-50;
             elseif delta_olr_filtre_min(b,c)>50;
                  delta_olr_filtre_min(b,c)=50;
             end;
          end;
       end
       subplot(7,1,8-e);
       palettejerome30
       colormap(palette);
       delta_olr_filtre_min(1,1)=-50.001;
       delta_olr_filtre_min(1,2)=50.001;

       aa=contourf(lon,lat,delta_olr_filtre_min,[-50:2.5:50],'LineStyle','none');
       if e==1;
  set (gca,'XTick',[-180:60:180],'XTickLabel',[' 180';'120W';' 60W';'  0 ';' 60E';'120E';' 180'],'fontsize',6);
       else
  set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' ';' '],'fontsize',6);
       end;       
       set (gca,'YTick',[-10:10:40],'YTickLabel',['10S';'  0';'10N';'20N';'30N';'40N'],'fontsize',6);


       if e==4;
          co=colorbar;            
          set (co,'ytick',[-40:20:40],'yticklabel',[-40:20:40],'fontname','Arial','fontsize',6);
       end;
       hold on; cartemonde1;
       set (gca,'tickDir','out');
       axis equal;
       axis([-180 180 -10 50]);
       if e==7;
           title('OLR composite EOF234 filtre PB 10-25j seuil 1.50','fontsize',8);
       end;
       text(-270,20,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/10;
       set (gca,'position',[0.2 pos_vert 0.5 0.1]); 
end;

print -depsc2 compo_olr_eof234_1025_pb1_seuil_150.eps;

figure(2); 
orient('landscape');

for e=1:7;
       a=7-(e-1)+1+7;
       f=2*(a-1)+1;
       clear delta_olr_filtre_min;
       delta_olr_filtre_min=zeros(41,144);
       for b=1:41;
          for c=1:144;
             delta_olr_filtre_min(b,c)=olr_filtre_compomin1(f,b,c)-olr_filtre_compomax1(f,b,c);
          end;
       end;
       for b=1:41;
          for c=1:144;
             if delta_olr_filtre_min(b,c)<-50;
                  delta_olr_filtre_min(b,c)=-50;
             elseif delta_olr_filtre_min(b,c)>50;
                  delta_olr_filtre_min(b,c)=50;
             end;
          end;
       end
       subplot(7,1,8-e);
       palettejerome30;
      colormap(palette);
 
       delta_olr_filtre_min(1,1)=-50.001;
       delta_olr_filtre_min(1,2)=50.001;
 
       aa=contourf(lon,lat,delta_olr_filtre_min,[-50:2.5:50],'LineStyle','none');
      if e==1;
  set (gca,'XTick',[-180:60:180],'XTickLabel',[' 180';'120W';' 60W';'  0 ';' 60E';'120E';' 180'],'fontsize',6);
       else
  set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' ';' '],'fontsize',6);
       end;       
       set (gca,'YTick',[-10:10:40],'YTickLabel',['10S';'  0';'10N';'20N';'30N';'40N'],'fontsize',6);
       if e==4;
          co=colorbar;            
          set (co,'ytick',[-40:20:40],'yticklabel',[-40:20:40],'fontname','Arial','fontsize',6);
       end;
       hold on; cartemonde1;
       set (gca,'tickDir','out');
       axis equal;
       axis([-180 180 -10 50]);
       if e==7;
           title('OLR composite EOF234 filtre PB 10-25j seuil 1.50','fontsize',8);
       end;
       text(-270,20,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/10;
       set (gca,'position',[0.2 pos_vert 0.5 0.1]); 
end;
print -depsc2 compo_olr_eof234_1025_pb2_seuil_150.eps;







