% initialisation
clear; close all;


% etape 1 :on selectionne les mois d ete (attention aux annees bixestiles!)
%          on compile sous forme d'un seul fichier

vwnd700=zeros(122,49,144,28);

siz=31+28+31+30+31+1; sizbis=31+28+31+30+31+30+31+31+30;
ncload('vwnd700.1979.nc'); vwnd700(:,:,:,1)=vwnd(siz:sizbis,1,:,:); clear vwnd;
ncload('vwnd700.1980.nc'); vwnd700(:,:,:,2)=vwnd(siz+1:sizbis+1,1,:,:); clear vwnd;
ncload('vwnd700.1981.nc'); vwnd700(:,:,:,3)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1982.nc'); vwnd700(:,:,:,4)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1983.nc'); vwnd700(:,:,:,5)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1984.nc'); vwnd700(:,:,:,6)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd700.1985.nc'); vwnd700(:,:,:,7)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1986.nc'); vwnd700(:,:,:,8)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1987.nc'); vwnd700(:,:,:,9)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1988.nc'); vwnd700(:,:,:,10)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd700.1989.nc'); vwnd700(:,:,:,11)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1990.nc'); vwnd700(:,:,:,12)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1991.nc'); vwnd700(:,:,:,13)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1992.nc'); vwnd700(:,:,:,14)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd700.1993.nc'); vwnd700(:,:,:,15)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1994.nc'); vwnd700(:,:,:,16)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1995.nc'); vwnd700(:,:,:,17)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1996.nc'); vwnd700(:,:,:,18)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd700.1997.nc'); vwnd700(:,:,:,19)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1998.nc'); vwnd700(:,:,:,20)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1999.nc'); vwnd700(:,:,:,21)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.2000.nc'); vwnd700(:,:,:,22)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd700.2001.nc'); vwnd700(:,:,:,23)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.2002.nc'); vwnd700(:,:,:,24)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.2003.nc'); vwnd700(:,:,:,25)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.2004.nc'); vwnd700(:,:,:,26)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd700.2005.nc'); vwnd700(:,:,:,27)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.2006.nc'); vwnd700(:,:,:,28)=vwnd(siz:sizbis,1,:,:);clear vwnd;
vwnd700=vwnd700*0.01;
vwnd700=vwnd700-187.65;

clear siz1 siz1bis;

vwnd=permute(vwnd700,[1 4 2 3]);
clear vwnd700;


%%%%%%%%%%%%%%% FICHIER OLR
% ouverture / lecture du fichier 
load eof12_rossby_1030.txt
ind_olr=reshape(eof12_rossby_1030,122,28);
k=122*28;
clear eof12_rossby_1030
% on calcule l ecart type sur la serie entiere de l OLR
ind_olr1=reshape(ind_olr, k,1);
ind_olr2=std(ind_olr1); clear ind_olr1;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% GEOPOTENTIEL
% intialisation des tableaux
vwnd700_filtre_compomax=NaN*ones(60,31,49,144); 
vwnd700_filtre_compomin=NaN*ones(60,31,49,144);

compteurmax=0; 
compteurmin=0;

for a=1:28; % boucle sur les annees
   clear delta; 
   delta=zeros(122,1);
   for b=1:122; % boucle sur les jours : on prepare avant   
        if b>1;
            delta(b)=ind_olr(b,a)-ind_olr(b-1,a);
        end;
   end;
   for b=1:122; % boucle sur les jours
      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
% cas 1 : max deltas apres negetifs et deltas avant postifs   
         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && ind_olr(b,a)>ind_olr2); 
            compteurmax=compteurmax+1;
            vwnd700_filtre_compomax(compteurmax,1,:,:)=vwnd(b-20,a,:,:);
            vwnd700_filtre_compomax(compteurmax,2,:,:)=vwnd(b-19,a,:,:);
            vwnd700_filtre_compomax(compteurmax,3,:,:)=vwnd(b-18,a,:,:);
            vwnd700_filtre_compomax(compteurmax,4,:,:)=vwnd(b-17,a,:,:);
            vwnd700_filtre_compomax(compteurmax,5,:,:)=vwnd(b-16,a,:,:);
            vwnd700_filtre_compomax(compteurmax,6,:,:)=vwnd(b-15,a,:,:);
            vwnd700_filtre_compomax(compteurmax,7,:,:)=vwnd(b-14,a,:,:);
            vwnd700_filtre_compomax(compteurmax,8,:,:)=vwnd(b-13,a,:,:);
            vwnd700_filtre_compomax(compteurmax,9,:,:)=vwnd(b-12,a,:,:);
            vwnd700_filtre_compomax(compteurmax,10,:,:)=vwnd(b-11,a,:,:);

            vwnd700_filtre_compomax(compteurmax,11,:,:)=vwnd(b-10,a,:,:);
            vwnd700_filtre_compomax(compteurmax,12,:,:)=vwnd(b-9,a,:,:);
            vwnd700_filtre_compomax(compteurmax,13,:,:)=vwnd(b-8,a,:,:);
            vwnd700_filtre_compomax(compteurmax,14,:,:)=vwnd(b-7,a,:,:);
            vwnd700_filtre_compomax(compteurmax,15,:,:)=vwnd(b-6,a,:,:);
            vwnd700_filtre_compomax(compteurmax,16,:,:)=vwnd(b-5,a,:,:);
            vwnd700_filtre_compomax(compteurmax,17,:,:)=vwnd(b-4,a,:,:);
            vwnd700_filtre_compomax(compteurmax,18,:,:)=vwnd(b-3,a,:,:);
            vwnd700_filtre_compomax(compteurmax,19,:,:)=vwnd(b-2,a,:,:);
            vwnd700_filtre_compomax(compteurmax,20,:,:)=vwnd(b-1,a,:,:);

            vwnd700_filtre_compomax(compteurmax,21,:,:)=vwnd(b,a,:,:);
            vwnd700_filtre_compomax(compteurmax,22,:,:)=vwnd(b+1,a,:,:);
            vwnd700_filtre_compomax(compteurmax,23,:,:)=vwnd(b+2,a,:,:);
            vwnd700_filtre_compomax(compteurmax,24,:,:)=vwnd(b+3,a,:,:);
            vwnd700_filtre_compomax(compteurmax,25,:,:)=vwnd(b+4,a,:,:);
            vwnd700_filtre_compomax(compteurmax,26,:,:)=vwnd(b+5,a,:,:);
            vwnd700_filtre_compomax(compteurmax,27,:,:)=vwnd(b+6,a,:,:);
            vwnd700_filtre_compomax(compteurmax,28,:,:)=vwnd(b+7,a,:,:);
            vwnd700_filtre_compomax(compteurmax,29,:,:)=vwnd(b+8,a,:,:);
            vwnd700_filtre_compomax(compteurmax,30,:,:)=vwnd(b+9,a,:,:);
            vwnd700_filtre_compomax(compteurmax,31,:,:)=vwnd(b+10,a,:,:);
% cas 2 : min deltas apres positifs et deltas avant negatifs   
         elseif (delta(b+1)>0 && delta(b)>0 && delta(b-1)<0 && delta(b-2)<0 && ind_olr(b,a)<(-ind_olr2));
            compteurmin=compteurmin+1;

            vwnd700_filtre_compomin(compteurmin,1,:,:)=vwnd(b-20,a,:,:);
            vwnd700_filtre_compomin(compteurmin,2,:,:)=vwnd(b-19,a,:,:);
            vwnd700_filtre_compomin(compteurmin,3,:,:)=vwnd(b-18,a,:,:);
            vwnd700_filtre_compomin(compteurmin,4,:,:)=vwnd(b-17,a,:,:);
            vwnd700_filtre_compomin(compteurmin,5,:,:)=vwnd(b-16,a,:,:);
            vwnd700_filtre_compomin(compteurmin,6,:,:)=vwnd(b-15,a,:,:);
            vwnd700_filtre_compomin(compteurmin,7,:,:)=vwnd(b-14,a,:,:);
            vwnd700_filtre_compomin(compteurmin,8,:,:)=vwnd(b-13,a,:,:);
            vwnd700_filtre_compomin(compteurmin,9,:,:)=vwnd(b-12,a,:,:);
            vwnd700_filtre_compomin(compteurmin,10,:,:)=vwnd(b-11,a,:,:);

            vwnd700_filtre_compomin(compteurmin,11,:,:)=vwnd(b-10,a,:,:);
            vwnd700_filtre_compomin(compteurmin,12,:,:)=vwnd(b-9,a,:,:);
            vwnd700_filtre_compomin(compteurmin,13,:,:)=vwnd(b-8,a,:,:);
            vwnd700_filtre_compomin(compteurmin,14,:,:)=vwnd(b-7,a,:,:);
            vwnd700_filtre_compomin(compteurmin,15,:,:)=vwnd(b-6,a,:,:);
            vwnd700_filtre_compomin(compteurmin,16,:,:)=vwnd(b-5,a,:,:);
            vwnd700_filtre_compomin(compteurmin,17,:,:)=vwnd(b-4,a,:,:);
            vwnd700_filtre_compomin(compteurmin,18,:,:)=vwnd(b-3,a,:,:);
            vwnd700_filtre_compomin(compteurmin,19,:,:)=vwnd(b-2,a,:,:);
            vwnd700_filtre_compomin(compteurmin,20,:,:)=vwnd(b-1,a,:,:);

            vwnd700_filtre_compomin(compteurmin,21,:,:)=vwnd(b,a,:,:);
            vwnd700_filtre_compomin(compteurmin,22,:,:)=vwnd(b+1,a,:,:);
            vwnd700_filtre_compomin(compteurmin,23,:,:)=vwnd(b+2,a,:,:);
            vwnd700_filtre_compomin(compteurmin,24,:,:)=vwnd(b+3,a,:,:);
            vwnd700_filtre_compomin(compteurmin,25,:,:)=vwnd(b+4,a,:,:);
            vwnd700_filtre_compomin(compteurmin,26,:,:)=vwnd(b+5,a,:,:);
            vwnd700_filtre_compomin(compteurmin,27,:,:)=vwnd(b+6,a,:,:);
            vwnd700_filtre_compomin(compteurmin,28,:,:)=vwnd(b+7,a,:,:);
            vwnd700_filtre_compomin(compteurmin,29,:,:)=vwnd(b+8,a,:,:);
            vwnd700_filtre_compomin(compteurmin,30,:,:)=vwnd(b+9,a,:,:);
            vwnd700_filtre_compomin(compteurmin,31,:,:)=vwnd(b+10,a,:,:);
         end;
      end;
   end;         
end;


% on fait la somme des valeurs de vwnd700_filtreentiel sur le nbre d occurences
% on obtent un tableau de la forme (jours-avant-apres,lon,lat)
vwnd700_filtre_compomin1(:,:,:)=nanmean(vwnd700_filtre_compomin); clear vwnd700_filtre_compomin;
vwnd700_filtre_compomax1(:,:,:)=nanmean(vwnd700_filtre_compomax); clear vwnd700_filtre_compomax;

x=[-10:1:10]'; %'

figure(1); 
orient('landscape');
lat=lat';

for e=1:7;
       a=7-(e-1)+1;
       f=2*(a-1)+1;
       clear delta_vwnd700_filtre_min;
       delta_vwnd700_filtre_min=zeros(49,144);
       for b=1:49;
          for c=1:144;
             delta_vwnd700_filtre_min(b,c)=vwnd700_filtre_compomin1(f,b,c)-vwnd700_filtre_compomax1(f,b,c);
          end;
       end;
       for b=1:49;
          for c=1:144;
             if delta_vwnd700_filtre_min(b,c)<-20;
                  delta_vwnd700_filtre_min(b,c)=-20;
             elseif delta_vwnd700_filtre_min(b,c)>20;
                  delta_vwnd700_filtre_min(b,c)=20;
             end;
          end;
       end
       subplot(7,1,8-e);
       palette
       clear delta_vwnd700;
       delta_vwnd700_filtre_min(1,1)=-5.001;
       delta_vwnd700_filtre_min(1,2)=5.001;
       delta_vwnd700=zeros(49,144);
       delta_vwnd700(:,1:72)=delta_vwnd700_filtre_min(:,73:144);
       delta_vwnd700(:,73:144)=delta_vwnd700_filtre_min(:,1:72);

       aa=contourf(lon-180,lat,delta_vwnd700,[-5:0.5:5],'LineStyle','none');
       delta_vwnd700=flipud(delta_vwnd700);
       if e==1;
            sauvegrads('composite_vwnd700_mode_rossby_1030_moins6',delta_vwnd700,[-180 2.5 -10 2.5]);
       elseif e==2;
            sauvegrads('composite_vwnd700_mode_rossby_1030_moins8',delta_vwnd700,[-180 2.5 -10 2.5]);
       elseif e==3;
            sauvegrads('composite_vwnd700_mode_rossby_1030_moins10',delta_vwnd700,[-180 2.5 -10 2.5]);
       elseif e==4;
            sauvegrads('composite_vwnd700_mode_rossby_1030_moins12',delta_vwnd700,[-180 2.5 -10 2.5]);
       elseif e==5;
            sauvegrads('composite_vwnd700_mode_rossby_1030_moins14',delta_vwnd700,[-180 2.5 -10 2.5]);
       elseif e==6;
            sauvegrads('composite_vwnd700_mode_rossby_1030_moins16',delta_vwnd700,[-180 2.5 -10 2.5]);
       else
            sauvegrads('composite_vwnd700_mode_rossby_1030_moins18',delta_vwnd700,[-180 2.5 -10 2.5]);
       end;

       delta_vwnd700=flipud(delta_vwnd700);

       if e==1;
         set (gca,'XTick',[-180:60:180],'XTickLabel',[' 180';'120W';' 60W';'   0';' 60E';'120E';' 180'],'fontname','Arial','fontsize',6);
       else
         set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
       end;       
       set (gca,'YTick',[-20:10:20],'YTickLabel',['20S';'10S';' 0 ';'10N';'20N';],'fontname','Arial','fontsize',6);
       if e==4;
          co=colorbar;            
          set (co,'ytick',[-5:1:5],'yticklabel',[-5:1:5],'fontname','Arial','fontsize',6);
       end;
       hold on; cartemonde1;
       set (gca,'tickDir','out');
       axis equal;
       axis([-180 180 -25 25]);
       if e==7;
           title('composite EOF12 ER 1030j ITCZ 7.5-12.5','fontsize',8);
       end;
       text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/10;
       set (gca,'position',[0.2 pos_vert 0.5 0.1]); 
end;

print -depsc2 composite_vwnd700_EOF12_ER1030_part1.eps;

figure(2); 
orient('landscape');

for e=1:7;
       a=7-(e-1)+1+7;
       f=2*(a-1)+1;
       clear delta_vwnd700_filtre_min;
       delta_vwnd700_filtre_min=zeros(49,144);
       for b=1:49;
          for c=1:144;
             delta_vwnd700_filtre_min(b,c)=vwnd700_filtre_compomin1(f,b,c)-vwnd700_filtre_compomax1(f,b,c);
          end;
       end;
       for b=1:49;
          for c=1:144;
             if delta_vwnd700_filtre_min(b,c)<-20;
                  delta_vwnd700_filtre_min(b,c)=-20;
             elseif delta_vwnd700_filtre_min(b,c)>20;
                  delta_vwnd700_filtre_min(b,c)=20;
             end;
          end;
       end
       subplot(7,1,8-e);
       palette;
       clear delta_vwnd700;
       delta_vwnd700_filtre_min(1,1)=-5.001;
       delta_vwnd700_filtre_min(1,2)=5.001;
       delta_vwnd700=zeros(49,144);
       delta_vwnd700(:,1:72)=delta_vwnd700_filtre_min(:,73:144);
       delta_vwnd700(:,73:144)=delta_vwnd700_filtre_min(:,1:72);

       aa=contourf(lon-180,lat,delta_vwnd700,[-5:0.5:5],'LineStyle','none');
       delta_vwnd700=flipud(delta_vwnd700);
       if e==1;
            sauvegrads('composite_vwnd700_mode_rossby_1030_plus8',delta_vwnd700,[-180 2.5 -10 2.5]);
       elseif e==2;
            sauvegrads('composite_vwnd700_mode_rossby_1030_plus6',delta_vwnd700,[-180 2.5 -10 2.5]);
       elseif e==3;
            sauvegrads('composite_vwnd700_mode_rossby_1030_plus4',delta_vwnd700,[-180 2.5 -10 2.5]);
       elseif e==4;
            sauvegrads('composite_vwnd700_mode_rossby_1030_plus2',delta_vwnd700,[-180 2.5 -10 2.5]);
       elseif e==5;
            sauvegrads('composite_vwnd700_mode_rossby_1030_0',delta_vwnd700,[-180 2.5 -10 2.5]);
       elseif e==6;
            sauvegrads('composite_vwnd700_mode_rossby_1030_moins2',delta_vwnd700,[-180 2.5 -10 2.5]);
       else
            sauvegrads('composite_vwnd700_mode_rossby_1030_moins4',delta_vwnd700,[-180 2.5 -10 2.5]);
       end;
       delta_vwnd700=flipud(delta_vwnd700);

       if e==1;
         set (gca,'XTick',[-180:60:180],'XTickLabel',[' 180';'120W';' 60W';'   0';' 60E';'120E';' 180'],'fontname','Arial','fontsize',6);
       else
         set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
       end;       
       set (gca,'YTick',[-20:10:20],'YTickLabel',['20S';'10S';' 0 ';'10N';'20N';],'fontname','Arial','fontsize',6);
       if e==4;
          co=colorbar;            
          set (co,'ytick',[-5:1:5],'yticklabel',[-5:1:5],'fontname','Arial','fontsize',6);
       end;
       hold on; cartemonde1;
       set (gca,'tickDir','out');
       axis equal;
       axis([-180 180 -25 25]);
       if e==7;
            title('composite EOF12 ER 1030j ITCZ 7.5-12.5','fontsize',8);
       end;
       text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/10;
       set (gca,'position',[0.2 pos_vert 0.5 0.1]); 
end;

print -depsc2 composite_vwnd700_EOF12_ER1030_part2.eps;

