
clear; 
close all;

%lon=[-30:2.5:30], lat=[-10:2.5:30]

load eof_1030_jjas.mat;
olr=olr';
PC1=olr*C;

cosa=zeros(4,3416,425);
for a=1:4; % boucle sur les VP
      for b=1:3416 % boucle sur le temps
          for c=1:425 % boucle sur l espace
             cosa(a,b,c)=PC1(b,426-a)*C(c,426-a);
          end;
      end;
end;

cosa1(:,:)=cosa(1,:,:);  
cosa1=reshape(cosa1,3416,25,17); 

cosabis=cosa(2:4,:,:); 
cosa24(:,:)=sum(cosabis); clear cosabis;
cosa24=reshape(cosa24,3416,25,17); 



figure(1); orient('landscape')
figure(2); orient('landscape')
figure(3); orient('landscape')

% On selectionne la demaine geographique

% la latitude : 7.5N (8) 12.5N (10)
% la longitude : 10W (9) 10E(17) 
lat1=8; lat2=10;
lon1=9; lon2=17;
taille=(lat2-lat1+1)*(lon2-lon1+1);

cosa1=cosa1(:,lon1:lon2,lat1:lat2); clear cosi2;
cosa1=reshape(cosa1,3416,taille); 
cosa1=cosa1';
cosa1=mean(cosa1); 
cosa1=cosa1';
std1=std(cosa1);
cosa1=cosa1/std1;
cosa1=reshape(cosa1,122,28);

cosa24=cosa24(:,lon1:lon2,lat1:lat2); clear cosi2;
cosa24=reshape(cosa24,3416,taille); 
cosa24=cosa24';
cosa24=mean(cosa24); 
cosa24=cosa24';
std24=std(cosa24);
cosa24=cosa24/std24;
cosa24=reshape(cosa24,122,28);


for a=1:28;
     if a<12;
        figure(1); subplot(4,3,a);
     elseif a<23
        figure(2); subplot(4,3,a-11);
    else
        figure(3); subplot(4,3,a-22);
     end
     y1=cosa1(:,a);
     y2=cosa24(:,a);

     x=[1:122]'; 
     plot(x,y1,'k','Linewidth',1); hold on;
     plot(x,y2,'r','Linewidth',1);
     y5=zeros(122,1);
     plot(x,y5,'k:');
     
     title(a+1978,'Fontsize',8);
     if a==2;
         text(0,65,'OLR 7.5 -12.5N et 10W - 10E');
     elseif a==13;
         text(0,65,'OLR 7.5 -12.5N et 10W - 10E');
     end
     set (gca,'tickDir','out');
     if a==11;
        aa=legend('OLR EOF1','OLR EOF234');
        set (aa,'fontsize',8,'Position',[0.6800 0.1039 0.2470 0.1642])
        legend boxoff;
     elseif a==22;
        clear aa;
        aa=legend('OLR EOF1','OLR EOF234');
        set (aa,'fontsize',8,'Position',[0.6800 0.1039 0.2470 0.1642])
        legend boxoff;
     end;
     axis([1 122 -3 3]);
     set (gca,'YTick',[-3:1:3],'YTickLabel',[-3:1:3],'fontname','Arial','fontsize',6);
   set (gca,'XTick',[10:10:122],'XTickLabel',[10:10:122],'fontname','Arial','fontsize',6);

end; 

figure(1); print -depsc2 reconstitution1_eof23_filtreER_1030.eps;
figure(2); print -depsc2 reconstitution2_eof23_filtreER_1030.eps;
figure(3); print -depsc2 reconstitution3_eof23_filtreER_1030.eps;

