clear;
load eof_olr_noaa_annuel_jas_1020.mat;
carte1=C(:,325);

carte=reshape(carte1,25,13);
carte=carte';

clear carte1;
% defintion des lat et lon
lon=[-30:2.5:30]';
lat=[-10:2.5:20];

figure(1); orient('landscape');
subplot(3,2,1);
palette;
for a=1:13;
    for b=1:25;
        if carte(a,b)>0.2;
            carte(a,b)=0.2;
        elseif carte(a,b)<-0.2;
            carte(a,b)=-0.2;
        end;
    end;
end;
carte(1,1)=-0.2001;
carte(1,2)=0.2001;

contourf(lon,lat,-carte,[-0.2:0.02:0.2],'LineStyle','none');
axis([-30 30 -10 30]);
colorbar;
title('OLR EOF1','Fontsize',8);
hold on; cartemonde;
set (gca,'YTick',[-10:10:20],'YTickLabel',['10S';'  0';'10N';'20N'],'fontname','Arial','fontsize',6);
set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
set (gca,'tickDir','out');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear carte1 x y a b carte coco; 
carte1=C(:,324);
carte=reshape(carte1,25,13);
carte=carte';

clear carte1;
lon=[-30:2.5:30]'; 
lat=[-10:2.5:20];

subplot(3,2,3);
palette;
for a=1:13;
    for b=1:25;
        if carte(a,b)>0.2;
            carte(a,b)=0.2;
        elseif carte(a,b)<-0.2;
            carte(a,b)=-0.2;
        end;
    end;
end;
carte(1,1)=-0.2001;
carte(1,2)=0.2001;

contourf(lon,lat,-carte,[-0.2:0.02:0.2],'LineStyle','none');
colorbar; 
axis([-30 30 -10 30]);
title('OLR EOF2','Fontsize',8);
hold on; cartemonde;
set (gca,'YTick',[-10:10:20],'YTickLabel',['10S';'  0';'10N';'20N'],'fontname','Arial','fontsize',6);
set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
set (gca,'tickDir','out');

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear carte1 x y a b carte coco;
carte1=C(:,323);
carte=reshape(carte1,25,13);
carte=carte';
clear carte1;

% defintion des lat et lon
lon=[-30:2.5:30]'; 
lat=[-10:2.5:20];

subplot(3,2,5);
palette;
for a=1:13;
    for b=1:25;
        if carte(a,b)>0.2;
            carte(a,b)=0.2;
        elseif carte(a,b)<-0.2;
            carte(a,b)=-0.2;
        end;
    end;
end;
carte(1,1)=-0.2001;
carte(1,2)=0.2001;

contourf(lon,lat,-carte,[-0.2:0.02:0.2],'LineStyle','none');
axis([-30 30 -10 30]);

colorbar;
title('OLR EOF3','Fontsize',8);
hold on; cartemonde;
set (gca,'YTick',[-10:10:20],'YTickLabel',['10S';'  0';'10N';'20N'],'fontname','Arial','fontsize',6);
set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
set (gca,'tickDir','out');

%%%%%%%%%%%%%%%%%%%%%%%%

clear carte1 x y a b carte coco;
carte1=C(:,322);
carte=reshape(carte1,25,13);
carte=carte';
clear carte1;

% defintion des lat et lon
lon=[-30:2.5:30]'; 
lat=[-10:2.5:20];

subplot(3,2,2);
palette;
for a=1:13;
    for b=1:25;
        if carte(a,b)>0.2;
            carte(a,b)=0.2;
        elseif carte(a,b)<-0.2;
            carte(a,b)=-0.2;
        end;
    end;
end;
carte(1,1)=-0.2001;
carte(1,2)=0.2001;

contourf(lon,lat,-carte,[-0.2:0.02:0.2],'LineStyle','none');
axis([-30 30 -10 30]);
colorbar;
title('OLR EOF4','Fontsize',8);
hold on; cartemonde;
set (gca,'YTick',[-10:10:20],'YTickLabel',['10S';'  0';'10N';'20N'],'fontname','Arial','fontsize',6);
set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
set (gca,'tickDir','out');




%********************
subplot(3,2,4);
vaude=0;
for a=1:325;
   vaude=vaude+L(a,a);
end
vecteurs=zeros(20,1);
for a=1:20;
   b=325-(a-1);
   vecteurs(a)=100*(L(b,b)/vaude);
end
x=[1:20]';

bar(x,vecteurs,'LineStyle','none')

axis([0.5 20.5 0 50]); 
set (gca,'YTick',[0:10:50],'YTickLabel',[0:10:50],'fontname','Arial','fontsize',6);
set (gca,'XTick',[2:2:20],'XTickLabel',[2:2:20],'fontname','Arial','fontsize',6);
set (gca,'tickDir','out');

print -depsc2 carte_eofs_olr_noaa_annuel_20.eps;
