% initialisation
close all
clear;

% etape 1 :on selectionne les mois d ete (attention aux annees bixestiles!)
%          on compile sous forme d'un seul fichier

uwnd500=zeros(122,49,144,22);

siz=31+28+31+30+31+1; sizbis=31+28+31+30+31+30+31+31+30;
ncload('uwnd500.1979.nc'); uwnd500(:,:,:,1)=uwnd(siz:sizbis,1,:,:); clear uwnd;
ncload('uwnd500.1980.nc'); uwnd500(:,:,:,2)=uwnd(siz+1:sizbis+1,1,:,:); clear uwnd;
ncload('uwnd500.1981.nc'); uwnd500(:,:,:,3)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1982.nc'); uwnd500(:,:,:,4)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1983.nc'); uwnd500(:,:,:,5)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1984.nc'); uwnd500(:,:,:,6)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd500.1985.nc'); uwnd500(:,:,:,7)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1986.nc'); uwnd500(:,:,:,8)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1987.nc'); uwnd500(:,:,:,9)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1988.nc'); uwnd500(:,:,:,10)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd500.1989.nc'); uwnd500(:,:,:,11)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1990.nc'); uwnd500(:,:,:,12)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1991.nc'); uwnd500(:,:,:,13)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1992.nc'); uwnd500(:,:,:,14)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd500.1993.nc'); uwnd500(:,:,:,15)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1994.nc'); uwnd500(:,:,:,16)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1995.nc'); uwnd500(:,:,:,17)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1996.nc'); uwnd500(:,:,:,18)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd500.1997.nc'); uwnd500(:,:,:,19)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1998.nc'); uwnd500(:,:,:,20)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.1999.nc'); uwnd500(:,:,:,21)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd500.2000.nc'); uwnd500(:,:,:,22)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
clear siz1 siz1bis;

uwnd=permute(uwnd500,[1 4 2 3]);
clear uwnd500;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
load eof2_olr_rossby_jjas.txt;
% on met sous la forme annee mois
olr_eof=reshape(eof2_olr_rossby_jjas,122,22); clear eof2_olr_rossby_jjas;

% on calcule l ecart type sur la serie temporelle de l'olr
k=122*22; 
olrbis=reshape(olr_eof,k,1);
olrbis=std(olrbis); 

% intialisation des tableaux
uwnd500_filtre_compomax=NaN*ones(60,31,49,144); 
uwnd500_filtre_compomin=NaN*ones(60,31,49,144);

compteurmax=0; 
compteurmin=0;

for a=1:22; % boucle sur les annees
   clear delta; 
   delta=zeros(122,1);
   for b=1:122; % boucle sur les jours : on prepare avant   
        if b>1;
            delta(b)=olr_eof(b,a)-olr_eof(b-1,a);
        end;
   end;
   for b=1:122; % boucle sur les jours
      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
% cas 1 : max deltas apres negetifs et deltas avant postifs   
         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && olr_eof(b,a)>olrbis); 
            compteurmax=compteurmax+1;
            uwnd500_filtre_compomax(compteurmax,1,:,:)=uwnd(b-20,a,:,:);
            uwnd500_filtre_compomax(compteurmax,2,:,:)=uwnd(b-19,a,:,:);
            uwnd500_filtre_compomax(compteurmax,3,:,:)=uwnd(b-18,a,:,:);
            uwnd500_filtre_compomax(compteurmax,4,:,:)=uwnd(b-17,a,:,:);
            uwnd500_filtre_compomax(compteurmax,5,:,:)=uwnd(b-16,a,:,:);
            uwnd500_filtre_compomax(compteurmax,6,:,:)=uwnd(b-15,a,:,:);
            uwnd500_filtre_compomax(compteurmax,7,:,:)=uwnd(b-14,a,:,:);
            uwnd500_filtre_compomax(compteurmax,8,:,:)=uwnd(b-13,a,:,:);
            uwnd500_filtre_compomax(compteurmax,9,:,:)=uwnd(b-12,a,:,:);
            uwnd500_filtre_compomax(compteurmax,10,:,:)=uwnd(b-11,a,:,:);

            uwnd500_filtre_compomax(compteurmax,11,:,:)=uwnd(b-10,a,:,:);
            uwnd500_filtre_compomax(compteurmax,12,:,:)=uwnd(b-9,a,:,:);
            uwnd500_filtre_compomax(compteurmax,13,:,:)=uwnd(b-8,a,:,:);
            uwnd500_filtre_compomax(compteurmax,14,:,:)=uwnd(b-7,a,:,:);
            uwnd500_filtre_compomax(compteurmax,15,:,:)=uwnd(b-6,a,:,:);
            uwnd500_filtre_compomax(compteurmax,16,:,:)=uwnd(b-5,a,:,:);
            uwnd500_filtre_compomax(compteurmax,17,:,:)=uwnd(b-4,a,:,:);
            uwnd500_filtre_compomax(compteurmax,18,:,:)=uwnd(b-3,a,:,:);
            uwnd500_filtre_compomax(compteurmax,19,:,:)=uwnd(b-2,a,:,:);
            uwnd500_filtre_compomax(compteurmax,20,:,:)=uwnd(b-1,a,:,:);

            uwnd500_filtre_compomax(compteurmax,21,:,:)=uwnd(b,a,:,:);
            uwnd500_filtre_compomax(compteurmax,22,:,:)=uwnd(b+1,a,:,:);
            uwnd500_filtre_compomax(compteurmax,23,:,:)=uwnd(b+2,a,:,:);
            uwnd500_filtre_compomax(compteurmax,24,:,:)=uwnd(b+3,a,:,:);
            uwnd500_filtre_compomax(compteurmax,25,:,:)=uwnd(b+4,a,:,:);
            uwnd500_filtre_compomax(compteurmax,26,:,:)=uwnd(b+5,a,:,:);
            uwnd500_filtre_compomax(compteurmax,27,:,:)=uwnd(b+6,a,:,:);
            uwnd500_filtre_compomax(compteurmax,28,:,:)=uwnd(b+7,a,:,:);
            uwnd500_filtre_compomax(compteurmax,29,:,:)=uwnd(b+8,a,:,:);
            uwnd500_filtre_compomax(compteurmax,30,:,:)=uwnd(b+9,a,:,:);
            uwnd500_filtre_compomax(compteurmax,31,:,:)=uwnd(b+10,a,:,:);
% cas 2 : min deltas apres positifs et deltas avant negatifs   
         elseif (delta(b+1)>0 && delta(b)>0 && delta(b-1)<0 && delta(b-2)<0 && olr_eof(b,a)<(-olrbis));
            compteurmin=compteurmin+1;

            uwnd500_filtre_compomin(compteurmin,1,:,:)=uwnd(b-20,a,:,:);
            uwnd500_filtre_compomin(compteurmin,2,:,:)=uwnd(b-19,a,:,:);
            uwnd500_filtre_compomin(compteurmin,3,:,:)=uwnd(b-18,a,:,:);
            uwnd500_filtre_compomin(compteurmin,4,:,:)=uwnd(b-17,a,:,:);
            uwnd500_filtre_compomin(compteurmin,5,:,:)=uwnd(b-16,a,:,:);
            uwnd500_filtre_compomin(compteurmin,6,:,:)=uwnd(b-15,a,:,:);
            uwnd500_filtre_compomin(compteurmin,7,:,:)=uwnd(b-14,a,:,:);
            uwnd500_filtre_compomin(compteurmin,8,:,:)=uwnd(b-13,a,:,:);
            uwnd500_filtre_compomin(compteurmin,9,:,:)=uwnd(b-12,a,:,:);
            uwnd500_filtre_compomin(compteurmin,10,:,:)=uwnd(b-11,a,:,:);

            uwnd500_filtre_compomin(compteurmin,11,:,:)=uwnd(b-10,a,:,:);
            uwnd500_filtre_compomin(compteurmin,12,:,:)=uwnd(b-9,a,:,:);
            uwnd500_filtre_compomin(compteurmin,13,:,:)=uwnd(b-8,a,:,:);
            uwnd500_filtre_compomin(compteurmin,14,:,:)=uwnd(b-7,a,:,:);
            uwnd500_filtre_compomin(compteurmin,15,:,:)=uwnd(b-6,a,:,:);
            uwnd500_filtre_compomin(compteurmin,16,:,:)=uwnd(b-5,a,:,:);
            uwnd500_filtre_compomin(compteurmin,17,:,:)=uwnd(b-4,a,:,:);
            uwnd500_filtre_compomin(compteurmin,18,:,:)=uwnd(b-3,a,:,:);
            uwnd500_filtre_compomin(compteurmin,19,:,:)=uwnd(b-2,a,:,:);
            uwnd500_filtre_compomin(compteurmin,20,:,:)=uwnd(b-1,a,:,:);

            uwnd500_filtre_compomin(compteurmin,21,:,:)=uwnd(b,a,:,:);
            uwnd500_filtre_compomin(compteurmin,22,:,:)=uwnd(b+1,a,:,:);
            uwnd500_filtre_compomin(compteurmin,23,:,:)=uwnd(b+2,a,:,:);
            uwnd500_filtre_compomin(compteurmin,24,:,:)=uwnd(b+3,a,:,:);
            uwnd500_filtre_compomin(compteurmin,25,:,:)=uwnd(b+4,a,:,:);
            uwnd500_filtre_compomin(compteurmin,26,:,:)=uwnd(b+5,a,:,:);
            uwnd500_filtre_compomin(compteurmin,27,:,:)=uwnd(b+6,a,:,:);
            uwnd500_filtre_compomin(compteurmin,28,:,:)=uwnd(b+7,a,:,:);
            uwnd500_filtre_compomin(compteurmin,29,:,:)=uwnd(b+8,a,:,:);
            uwnd500_filtre_compomin(compteurmin,30,:,:)=uwnd(b+9,a,:,:);
            uwnd500_filtre_compomin(compteurmin,31,:,:)=uwnd(b+10,a,:,:);
         end;
      end;
   end;         
end;


% on fait la somme des valeurs de uwnd500_filtreentiel sur le nbre d occurences
% on obtent un tableau de la forme (jours-avant-apres,lon,lat)
uwnd500_filtre_compomin1(:,:,:)=nanmean(uwnd500_filtre_compomin); clear uwnd500_filtre_compomin;
uwnd500_filtre_compomax1(:,:,:)=nanmean(uwnd500_filtre_compomax); clear uwnd500_filtre_compomax;




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% etape 1 :on selectionne les mois d ete (attention aux annees bixestiles!)
%          on compile sous forme d'un seul fichier

vwnd500=zeros(122,49,144,22);

siz=31+28+31+30+31+1; sizbis=31+28+31+30+31+30+31+31+30;
ncload('vwnd500.1979.nc'); vwnd500(:,:,:,1)=vwnd(siz:sizbis,1,:,:); clear vwnd;
ncload('vwnd500.1980.nc'); vwnd500(:,:,:,2)=vwnd(siz+1:sizbis+1,1,:,:); clear vwnd;
ncload('vwnd500.1981.nc'); vwnd500(:,:,:,3)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1982.nc'); vwnd500(:,:,:,4)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1983.nc'); vwnd500(:,:,:,5)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1984.nc'); vwnd500(:,:,:,6)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd500.1985.nc'); vwnd500(:,:,:,7)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1986.nc'); vwnd500(:,:,:,8)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1987.nc'); vwnd500(:,:,:,9)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1988.nc'); vwnd500(:,:,:,10)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd500.1989.nc'); vwnd500(:,:,:,11)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1990.nc'); vwnd500(:,:,:,12)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1991.nc'); vwnd500(:,:,:,13)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1992.nc'); vwnd500(:,:,:,14)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd500.1993.nc'); vwnd500(:,:,:,15)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1994.nc'); vwnd500(:,:,:,16)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1995.nc'); vwnd500(:,:,:,17)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1996.nc'); vwnd500(:,:,:,18)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd500.1997.nc'); vwnd500(:,:,:,19)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1998.nc'); vwnd500(:,:,:,20)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.1999.nc'); vwnd500(:,:,:,21)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd500.2000.nc'); vwnd500(:,:,:,22)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
clear siz1 siz1bis;

vwnd=permute(vwnd500,[1 4 2 3]);
clear vwnd500;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
load eof2_olr_rossby_jjas.txt;
% on met sous la forme annee mois
olr_eof=reshape(eof2_olr_rossby_jjas,122,22); clear eof2_olr_rossby_jjas;

% on calcule l ecart type sur la serie temporelle de l'olr
k=122*22; 
olrbis=reshape(olr_eof,k,1);
olrbis=std(olrbis); 

% intialisation des tableaux
vwnd500_filtre_compomax=NaN*ones(60,31,49,144); 
vwnd500_filtre_compomin=NaN*ones(60,31,49,144);

compteurmax=0; 
compteurmin=0;

for a=1:22; % boucle sur les annees
   clear delta; 
   delta=zeros(122,1);
   for b=1:122; % boucle sur les jours : on prepare avant   
        if b>1;
            delta(b)=olr_eof(b,a)-olr_eof(b-1,a);
        end;
   end;
   for b=1:122; % boucle sur les jours
      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
% cas 1 : max deltas apres negetifs et deltas avant postifs   
         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && olr_eof(b,a)>olrbis); 
            compteurmax=compteurmax+1;
            vwnd500_filtre_compomax(compteurmax,1,:,:)=vwnd(b-20,a,:,:);
            vwnd500_filtre_compomax(compteurmax,2,:,:)=vwnd(b-19,a,:,:);
            vwnd500_filtre_compomax(compteurmax,3,:,:)=vwnd(b-18,a,:,:);
            vwnd500_filtre_compomax(compteurmax,4,:,:)=vwnd(b-17,a,:,:);
            vwnd500_filtre_compomax(compteurmax,5,:,:)=vwnd(b-16,a,:,:);
            vwnd500_filtre_compomax(compteurmax,6,:,:)=vwnd(b-15,a,:,:);
            vwnd500_filtre_compomax(compteurmax,7,:,:)=vwnd(b-14,a,:,:);
            vwnd500_filtre_compomax(compteurmax,8,:,:)=vwnd(b-13,a,:,:);
            vwnd500_filtre_compomax(compteurmax,9,:,:)=vwnd(b-12,a,:,:);
            vwnd500_filtre_compomax(compteurmax,10,:,:)=vwnd(b-11,a,:,:);

            vwnd500_filtre_compomax(compteurmax,11,:,:)=vwnd(b-10,a,:,:);
            vwnd500_filtre_compomax(compteurmax,12,:,:)=vwnd(b-9,a,:,:);
            vwnd500_filtre_compomax(compteurmax,13,:,:)=vwnd(b-8,a,:,:);
            vwnd500_filtre_compomax(compteurmax,14,:,:)=vwnd(b-7,a,:,:);
            vwnd500_filtre_compomax(compteurmax,15,:,:)=vwnd(b-6,a,:,:);
            vwnd500_filtre_compomax(compteurmax,16,:,:)=vwnd(b-5,a,:,:);
            vwnd500_filtre_compomax(compteurmax,17,:,:)=vwnd(b-4,a,:,:);
            vwnd500_filtre_compomax(compteurmax,18,:,:)=vwnd(b-3,a,:,:);
            vwnd500_filtre_compomax(compteurmax,19,:,:)=vwnd(b-2,a,:,:);
            vwnd500_filtre_compomax(compteurmax,20,:,:)=vwnd(b-1,a,:,:);

            vwnd500_filtre_compomax(compteurmax,21,:,:)=vwnd(b,a,:,:);
            vwnd500_filtre_compomax(compteurmax,22,:,:)=vwnd(b+1,a,:,:);
            vwnd500_filtre_compomax(compteurmax,23,:,:)=vwnd(b+2,a,:,:);
            vwnd500_filtre_compomax(compteurmax,24,:,:)=vwnd(b+3,a,:,:);
            vwnd500_filtre_compomax(compteurmax,25,:,:)=vwnd(b+4,a,:,:);
            vwnd500_filtre_compomax(compteurmax,26,:,:)=vwnd(b+5,a,:,:);
            vwnd500_filtre_compomax(compteurmax,27,:,:)=vwnd(b+6,a,:,:);
            vwnd500_filtre_compomax(compteurmax,28,:,:)=vwnd(b+7,a,:,:);
            vwnd500_filtre_compomax(compteurmax,29,:,:)=vwnd(b+8,a,:,:);
            vwnd500_filtre_compomax(compteurmax,30,:,:)=vwnd(b+9,a,:,:);
            vwnd500_filtre_compomax(compteurmax,31,:,:)=vwnd(b+10,a,:,:);
% cas 2 : min deltas apres positifs et deltas avant negatifs   
         elseif (delta(b+1)>0 && delta(b)>0 && delta(b-1)<0 && delta(b-2)<0 && olr_eof(b,a)<(-olrbis));
            compteurmin=compteurmin+1;

            vwnd500_filtre_compomin(compteurmin,1,:,:)=vwnd(b-20,a,:,:);
            vwnd500_filtre_compomin(compteurmin,2,:,:)=vwnd(b-19,a,:,:);
            vwnd500_filtre_compomin(compteurmin,3,:,:)=vwnd(b-18,a,:,:);
            vwnd500_filtre_compomin(compteurmin,4,:,:)=vwnd(b-17,a,:,:);
            vwnd500_filtre_compomin(compteurmin,5,:,:)=vwnd(b-16,a,:,:);
            vwnd500_filtre_compomin(compteurmin,6,:,:)=vwnd(b-15,a,:,:);
            vwnd500_filtre_compomin(compteurmin,7,:,:)=vwnd(b-14,a,:,:);
            vwnd500_filtre_compomin(compteurmin,8,:,:)=vwnd(b-13,a,:,:);
            vwnd500_filtre_compomin(compteurmin,9,:,:)=vwnd(b-12,a,:,:);
            vwnd500_filtre_compomin(compteurmin,10,:,:)=vwnd(b-11,a,:,:);

            vwnd500_filtre_compomin(compteurmin,11,:,:)=vwnd(b-10,a,:,:);
            vwnd500_filtre_compomin(compteurmin,12,:,:)=vwnd(b-9,a,:,:);
            vwnd500_filtre_compomin(compteurmin,13,:,:)=vwnd(b-8,a,:,:);
            vwnd500_filtre_compomin(compteurmin,14,:,:)=vwnd(b-7,a,:,:);
            vwnd500_filtre_compomin(compteurmin,15,:,:)=vwnd(b-6,a,:,:);
            vwnd500_filtre_compomin(compteurmin,16,:,:)=vwnd(b-5,a,:,:);
            vwnd500_filtre_compomin(compteurmin,17,:,:)=vwnd(b-4,a,:,:);
            vwnd500_filtre_compomin(compteurmin,18,:,:)=vwnd(b-3,a,:,:);
            vwnd500_filtre_compomin(compteurmin,19,:,:)=vwnd(b-2,a,:,:);
            vwnd500_filtre_compomin(compteurmin,20,:,:)=vwnd(b-1,a,:,:);

            vwnd500_filtre_compomin(compteurmin,21,:,:)=vwnd(b,a,:,:);
            vwnd500_filtre_compomin(compteurmin,22,:,:)=vwnd(b+1,a,:,:);
            vwnd500_filtre_compomin(compteurmin,23,:,:)=vwnd(b+2,a,:,:);
            vwnd500_filtre_compomin(compteurmin,24,:,:)=vwnd(b+3,a,:,:);
            vwnd500_filtre_compomin(compteurmin,25,:,:)=vwnd(b+4,a,:,:);
            vwnd500_filtre_compomin(compteurmin,26,:,:)=vwnd(b+5,a,:,:);
            vwnd500_filtre_compomin(compteurmin,27,:,:)=vwnd(b+6,a,:,:);
            vwnd500_filtre_compomin(compteurmin,28,:,:)=vwnd(b+7,a,:,:);
            vwnd500_filtre_compomin(compteurmin,29,:,:)=vwnd(b+8,a,:,:);
            vwnd500_filtre_compomin(compteurmin,30,:,:)=vwnd(b+9,a,:,:);
            vwnd500_filtre_compomin(compteurmin,31,:,:)=vwnd(b+10,a,:,:);
         end;
      end;
   end;         
end;


% on fait la somme des valeurs de vwnd500_filtreentiel sur le nbre d occurences
% on obtent un tableau de la forme (jours-avant-apres,lon,lat)
vwnd500_filtre_compomin1(:,:,:)=nanmean(vwnd500_filtre_compomin); clear vwnd500_filtre_compomin;
vwnd500_filtre_compomax1(:,:,:)=nanmean(vwnd500_filtre_compomax); clear vwnd500_filtre_compomax;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(1)
orient('landscape')
load pression.mat;

for e=1:7;
       a=7-(e-1)+1;
       f=2*(a-1)+1;

       clear delta_uwnd500_filtre_min;
       clear delta_vwnd500_filtre_min;
       delta_uwnd500_filtre_min=zeros(49,144);
       delta_vwnd500_filtre_min=zeros(49,144);
       for b=1:49;
          for c=1:144;
             delta_uwnd500_filtre_min(b,c)=uwnd500_filtre_compomin1(f,b,c)-uwnd500_filtre_compomax1(f,b,c);
             delta_vwnd500_filtre_min(b,c)=vwnd500_filtre_compomin1(f,b,c)-vwnd500_filtre_compomax1(f,b,c);
 
         end;
       end;
       subplot(7,1,8-e);

       delta_vwnd500_filtre=zeros(49,144);
       delta_uwnd500_filtre=zeros(49,144);
       delta_vwnd500_filtre(:,1:72)=delta_vwnd500_filtre_min(:,73:144);
       delta_vwnd500_filtre(:,73:144)=delta_vwnd500_filtre_min(:,1:72);
       delta_uwnd500_filtre(:,1:72)=delta_uwnd500_filtre_min(:,73:144);
       delta_uwnd500_filtre(:,73:144)=delta_uwnd500_filtre_min(:,1:72);
       xi=[-180:3.75:176.25]; xi=xi'; yi=[-87.1591:3.708895:87.1591]; 
       clear carteu cartev;
       carteu=interp2(lon-180,lat,delta_uwnd500_filtre,xi,yi); 
       cartev=interp2(lon-180,lat,delta_vwnd500_filtre,xi,yi);
       clear coco ;
       coco(:,:)=pression(e,:,:);
      hgt=interp2(lon-180,lat,coco,xi,yi); 
       palette
       aa=contourf(xi,yi,hgt,[-50:5:50],'LineStyle','none'); hold on;
       aa=quiver(xi,yi,carteu,cartev,'k');
       if e==1;
       set (gca,'XTick',[-80:20:20],'XTickLabel',['80W';'60W';'40W';'  0';'20E'],'fontname','Arial','fontsize',5);
       else
      set (gca,'XTick',[-80:20:20],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
       end       
       set (gca,'YTick',[20:20:80],'YTickLabel',['20N';'40N';'60N';'80N'],'fontname','Arial','fontsize',6);
       cartemonde1;
       if e==4;
          co=colorbar;            
          set (co,'ytick',[-40:20:40],'yticklabel',[-40:20:40],'fontname','Arial','fontsize',5);
       end;
       set (gca,'tickDir','out');
       axis equal
       axis([-80 30 20 80]);

       if e==7;
       title('Composite geopotential + winds 500 hPa : differences min - max (mode Rossby EOF2)','fontsize',8) ;
       end
       text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/10;
       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
end;


print -depsc2 composite_rossby_eof2a_u500_hgt.eps;


for e=1:7;
       a=7-(e-1)+1+7;
       f=2*(a-1)+1;

       clear delta_uwnd500_filtre_min;
       clear delta_vwnd500_filtre_min;
       delta_uwnd500_filtre_min=zeros(49,144);
       delta_vwnd500_filtre_min=zeros(49,144);
       for b=1:49;
          for c=1:144;
             delta_uwnd500_filtre_min(b,c)=uwnd500_filtre_compomin1(f,b,c)-uwnd500_filtre_compomax1(f,b,c);
             delta_vwnd500_filtre_min(b,c)=vwnd500_filtre_compomin1(f,b,c)-vwnd500_filtre_compomax1(f,b,c);
 
         end;
       end;
       subplot(7,1,8-e);

       delta_vwnd500_filtre=zeros(49,144);
       delta_uwnd500_filtre=zeros(49,144);
       delta_vwnd500_filtre(:,1:72)=delta_vwnd500_filtre_min(:,73:144);
       delta_vwnd500_filtre(:,73:144)=delta_vwnd500_filtre_min(:,1:72);
       delta_uwnd500_filtre(:,1:72)=delta_uwnd500_filtre_min(:,73:144);
       delta_uwnd500_filtre(:,73:144)=delta_uwnd500_filtre_min(:,1:72);
       xi=[-180:3.75:176.25]; xi=xi'; yi=[-87.1591:3.708895:87.1591]; 
       clear carteu cartev;
       carteu=interp2(lon-180,lat,delta_uwnd500_filtre,xi,yi); 
       cartev=interp2(lon-180,lat,delta_vwnd500_filtre,xi,yi);
       clear coco ;
       coco(:,:)=pression(e+7,:,:);
      hgt=interp2(lon-180,lat,coco,xi,yi); 
       palette
       aa=contourf(xi,yi,hgt,[-50:5:50],'LineStyle','none'); hold on;
       aa=quiver(xi,yi,carteu,cartev,'k');
       if e==1;
       set (gca,'XTick',[-80:20:20],'XTickLabel',['80W';'60W';'40W';'  0';'20E'],'fontname','Arial','fontsize',5);
       else
      set (gca,'XTick',[-80:20:20],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
       end       
       set (gca,'YTick',[20:20:80],'YTickLabel',['20N';'40N';'60N';'80N'],'fontname','Arial','fontsize',6);
       cartemonde1;
       if e==4;
          co=colorbar;            
          set (co,'ytick',[-40:20:40],'yticklabel',[-40:20:40],'fontname','Arial','fontsize',5);
       end;
       set (gca,'tickDir','out');
       axis equal
       axis([-80 30 20 80]);

       if e==7;
       title('Composite geopotential + winds 500 hPa : differences min - max (mode Rossby EOF2)','fontsize',8) ;
       end
       text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/10;
       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
end;


print -depsc2 composite_rossby_eof2b_u500_hgt.eps;


