% initialisation
close all
clear;

% etape 1 :on selectionne les mois d ete (attention aux annees bixestiles!)
%          on compile sous forme d'un seul fichier

uwnd700=zeros(122,49,144,22);

siz=31+28+31+30+31+1; sizbis=31+28+31+30+31+30+31+31+30;
ncload('uwnd700.1979.nc'); uwnd700(:,:,:,1)=uwnd(siz:sizbis,1,:,:); clear uwnd;
ncload('uwnd700.1980.nc'); uwnd700(:,:,:,2)=uwnd(siz+1:sizbis+1,1,:,:); clear uwnd;
ncload('uwnd700.1981.nc'); uwnd700(:,:,:,3)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1982.nc'); uwnd700(:,:,:,4)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1983.nc'); uwnd700(:,:,:,5)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1984.nc'); uwnd700(:,:,:,6)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd700.1985.nc'); uwnd700(:,:,:,7)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1986.nc'); uwnd700(:,:,:,8)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1987.nc'); uwnd700(:,:,:,9)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1988.nc'); uwnd700(:,:,:,10)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd700.1989.nc'); uwnd700(:,:,:,11)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1990.nc'); uwnd700(:,:,:,12)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1991.nc'); uwnd700(:,:,:,13)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1992.nc'); uwnd700(:,:,:,14)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd700.1993.nc'); uwnd700(:,:,:,15)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1994.nc'); uwnd700(:,:,:,16)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1995.nc'); uwnd700(:,:,:,17)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1996.nc'); uwnd700(:,:,:,18)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
ncload('uwnd700.1997.nc'); uwnd700(:,:,:,19)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1998.nc'); uwnd700(:,:,:,20)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.1999.nc'); uwnd700(:,:,:,21)=uwnd(siz:sizbis,1,:,:);clear uwnd;
ncload('uwnd700.2000.nc'); uwnd700(:,:,:,22)=uwnd(siz+1:sizbis+1,1,:,:);clear uwnd;
clear siz1 siz1bis;

uwnd=permute(uwnd700,[1 4 2 3]);
clear uwnd700;


%%%%%%%%%%%%%%% FICHIER OLR
% ouverture / lecture du fichier 
load ind_olr_10_90_eof23.txt;
ind_olr=reshape(ind_olr_10_90_eof23,122,28);
clear ind_olr_10_90_eof23;

% on selectionne les annees de 1979 a 2000
ind_olr1=ind_olr(:,1:22); clear ind_olr;
k=122*22; ind_olr=ind_olr1; clear ind_olr1;

% on calcule l ecart type sur la serie entiere de l OLR
ind_olr1=reshape(ind_olr, k,1);
ind_olr2=std(ind_olr1); clear ind_olr1;


% intialisation des tableaux
uwnd700_filtre_compomax=NaN*ones(60,31,49,144); 
uwnd700_filtre_compomin=NaN*ones(60,31,49,144);

compteurmax=0; 
compteurmin=0;

for a=1:22; % boucle sur les annees
   clear delta; 
   delta=zeros(122,1);
   for b=1:122; % boucle sur les jours : on prepare avant   
        if b>1;
            delta(b)=ind_olr(b,a)-ind_olr(b-1,a);
        end;
   end;
   for b=1:122; % boucle sur les jours
      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
% cas 1 : max deltas apres negetifs et deltas avant postifs   
         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && ind_olr(b,a)>ind_olr2); 
            compteurmax=compteurmax+1;
            uwnd700_filtre_compomax(compteurmax,1,:,:)=uwnd(b-20,a,:,:);
            uwnd700_filtre_compomax(compteurmax,2,:,:)=uwnd(b-19,a,:,:);
            uwnd700_filtre_compomax(compteurmax,3,:,:)=uwnd(b-18,a,:,:);
            uwnd700_filtre_compomax(compteurmax,4,:,:)=uwnd(b-17,a,:,:);
            uwnd700_filtre_compomax(compteurmax,5,:,:)=uwnd(b-16,a,:,:);
            uwnd700_filtre_compomax(compteurmax,6,:,:)=uwnd(b-15,a,:,:);
            uwnd700_filtre_compomax(compteurmax,7,:,:)=uwnd(b-14,a,:,:);
            uwnd700_filtre_compomax(compteurmax,8,:,:)=uwnd(b-13,a,:,:);
            uwnd700_filtre_compomax(compteurmax,9,:,:)=uwnd(b-12,a,:,:);
            uwnd700_filtre_compomax(compteurmax,10,:,:)=uwnd(b-11,a,:,:);

            uwnd700_filtre_compomax(compteurmax,11,:,:)=uwnd(b-10,a,:,:);
            uwnd700_filtre_compomax(compteurmax,12,:,:)=uwnd(b-9,a,:,:);
            uwnd700_filtre_compomax(compteurmax,13,:,:)=uwnd(b-8,a,:,:);
            uwnd700_filtre_compomax(compteurmax,14,:,:)=uwnd(b-7,a,:,:);
            uwnd700_filtre_compomax(compteurmax,15,:,:)=uwnd(b-6,a,:,:);
            uwnd700_filtre_compomax(compteurmax,16,:,:)=uwnd(b-5,a,:,:);
            uwnd700_filtre_compomax(compteurmax,17,:,:)=uwnd(b-4,a,:,:);
            uwnd700_filtre_compomax(compteurmax,18,:,:)=uwnd(b-3,a,:,:);
            uwnd700_filtre_compomax(compteurmax,19,:,:)=uwnd(b-2,a,:,:);
            uwnd700_filtre_compomax(compteurmax,20,:,:)=uwnd(b-1,a,:,:);

            uwnd700_filtre_compomax(compteurmax,21,:,:)=uwnd(b,a,:,:);
            uwnd700_filtre_compomax(compteurmax,22,:,:)=uwnd(b+1,a,:,:);
            uwnd700_filtre_compomax(compteurmax,23,:,:)=uwnd(b+2,a,:,:);
            uwnd700_filtre_compomax(compteurmax,24,:,:)=uwnd(b+3,a,:,:);
            uwnd700_filtre_compomax(compteurmax,25,:,:)=uwnd(b+4,a,:,:);
            uwnd700_filtre_compomax(compteurmax,26,:,:)=uwnd(b+5,a,:,:);
            uwnd700_filtre_compomax(compteurmax,27,:,:)=uwnd(b+6,a,:,:);
            uwnd700_filtre_compomax(compteurmax,28,:,:)=uwnd(b+7,a,:,:);
            uwnd700_filtre_compomax(compteurmax,29,:,:)=uwnd(b+8,a,:,:);
            uwnd700_filtre_compomax(compteurmax,30,:,:)=uwnd(b+9,a,:,:);
            uwnd700_filtre_compomax(compteurmax,31,:,:)=uwnd(b+10,a,:,:);
% cas 2 : min deltas apres positifs et deltas avant negatifs   
         elseif (delta(b+1)>0 && delta(b)>0 && delta(b-1)<0 && delta(b-2)<0 && ind_olr(b,a)<(-ind_olr2));
            compteurmin=compteurmin+1;

            uwnd700_filtre_compomin(compteurmin,1,:,:)=uwnd(b-20,a,:,:);
            uwnd700_filtre_compomin(compteurmin,2,:,:)=uwnd(b-19,a,:,:);
            uwnd700_filtre_compomin(compteurmin,3,:,:)=uwnd(b-18,a,:,:);
            uwnd700_filtre_compomin(compteurmin,4,:,:)=uwnd(b-17,a,:,:);
            uwnd700_filtre_compomin(compteurmin,5,:,:)=uwnd(b-16,a,:,:);
            uwnd700_filtre_compomin(compteurmin,6,:,:)=uwnd(b-15,a,:,:);
            uwnd700_filtre_compomin(compteurmin,7,:,:)=uwnd(b-14,a,:,:);
            uwnd700_filtre_compomin(compteurmin,8,:,:)=uwnd(b-13,a,:,:);
            uwnd700_filtre_compomin(compteurmin,9,:,:)=uwnd(b-12,a,:,:);
            uwnd700_filtre_compomin(compteurmin,10,:,:)=uwnd(b-11,a,:,:);

            uwnd700_filtre_compomin(compteurmin,11,:,:)=uwnd(b-10,a,:,:);
            uwnd700_filtre_compomin(compteurmin,12,:,:)=uwnd(b-9,a,:,:);
            uwnd700_filtre_compomin(compteurmin,13,:,:)=uwnd(b-8,a,:,:);
            uwnd700_filtre_compomin(compteurmin,14,:,:)=uwnd(b-7,a,:,:);
            uwnd700_filtre_compomin(compteurmin,15,:,:)=uwnd(b-6,a,:,:);
            uwnd700_filtre_compomin(compteurmin,16,:,:)=uwnd(b-5,a,:,:);
            uwnd700_filtre_compomin(compteurmin,17,:,:)=uwnd(b-4,a,:,:);
            uwnd700_filtre_compomin(compteurmin,18,:,:)=uwnd(b-3,a,:,:);
            uwnd700_filtre_compomin(compteurmin,19,:,:)=uwnd(b-2,a,:,:);
            uwnd700_filtre_compomin(compteurmin,20,:,:)=uwnd(b-1,a,:,:);

            uwnd700_filtre_compomin(compteurmin,21,:,:)=uwnd(b,a,:,:);
            uwnd700_filtre_compomin(compteurmin,22,:,:)=uwnd(b+1,a,:,:);
            uwnd700_filtre_compomin(compteurmin,23,:,:)=uwnd(b+2,a,:,:);
            uwnd700_filtre_compomin(compteurmin,24,:,:)=uwnd(b+3,a,:,:);
            uwnd700_filtre_compomin(compteurmin,25,:,:)=uwnd(b+4,a,:,:);
            uwnd700_filtre_compomin(compteurmin,26,:,:)=uwnd(b+5,a,:,:);
            uwnd700_filtre_compomin(compteurmin,27,:,:)=uwnd(b+6,a,:,:);
            uwnd700_filtre_compomin(compteurmin,28,:,:)=uwnd(b+7,a,:,:);
            uwnd700_filtre_compomin(compteurmin,29,:,:)=uwnd(b+8,a,:,:);
            uwnd700_filtre_compomin(compteurmin,30,:,:)=uwnd(b+9,a,:,:);
            uwnd700_filtre_compomin(compteurmin,31,:,:)=uwnd(b+10,a,:,:);
         end;
      end;
   end;         
end;


% on fait la somme des valeurs de uwnd700_filtreentiel sur le nbre d occurences
% on obtent un tableau de la forme (jours-avant-apres,lon,lat)
uwnd700_filtre_compomin1(:,:,:)=nanmean(uwnd700_filtre_compomin); clear uwnd700_filtre_compomin;
uwnd700_filtre_compomax1(:,:,:)=nanmean(uwnd700_filtre_compomax); clear uwnd700_filtre_compomax;




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% etape 1 :on selectionne les mois d ete (attention aux annees bixestiles!)
%          on compile sous forme d'un seul fichier

vwnd700=zeros(122,49,144,22);

siz=31+28+31+30+31+1; sizbis=31+28+31+30+31+30+31+31+30;
ncload('vwnd700.1979.nc'); vwnd700(:,:,:,1)=vwnd(siz:sizbis,1,:,:); clear vwnd;
ncload('vwnd700.1980.nc'); vwnd700(:,:,:,2)=vwnd(siz+1:sizbis+1,1,:,:); clear vwnd;
ncload('vwnd700.1981.nc'); vwnd700(:,:,:,3)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1982.nc'); vwnd700(:,:,:,4)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1983.nc'); vwnd700(:,:,:,5)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1984.nc'); vwnd700(:,:,:,6)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd700.1985.nc'); vwnd700(:,:,:,7)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1986.nc'); vwnd700(:,:,:,8)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1987.nc'); vwnd700(:,:,:,9)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1988.nc'); vwnd700(:,:,:,10)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd700.1989.nc'); vwnd700(:,:,:,11)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1990.nc'); vwnd700(:,:,:,12)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1991.nc'); vwnd700(:,:,:,13)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1992.nc'); vwnd700(:,:,:,14)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd700.1993.nc'); vwnd700(:,:,:,15)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1994.nc'); vwnd700(:,:,:,16)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1995.nc'); vwnd700(:,:,:,17)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1996.nc'); vwnd700(:,:,:,18)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
ncload('vwnd700.1997.nc'); vwnd700(:,:,:,19)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1998.nc'); vwnd700(:,:,:,20)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.1999.nc'); vwnd700(:,:,:,21)=vwnd(siz:sizbis,1,:,:);clear vwnd;
ncload('vwnd700.2000.nc'); vwnd700(:,:,:,22)=vwnd(siz+1:sizbis+1,1,:,:);clear vwnd;
clear siz1 siz1bis;

vwnd=permute(vwnd700,[1 4 2 3]);
clear vwnd700;

%%%%%%%%%%%%%% FICHIER OLR
% ouverture / lecture du fichier 
fid=fopen('sahel_pb.dat','r');
v=fread(fid,3538,'float');
fclose(fid);

% on met sous la forme annee mois
ind_olr=reshape(v,122,29); clear v; 

% on selectionne les annees de 1979 a 2000
ind_olr1=ind_olr(:,1:22); clear ind_olr;
k=122*22; ind_olr=ind_olr1; clear ind_olr1;

% on calcule l ecart type sur la serie entiere de l OLR
ind_olr1=reshape(ind_olr, k,1);
ind_olr2=std(ind_olr1); clear ind_olr1;


% intialisation des tableaux
vwnd700_filtre_compomax=NaN*ones(60,31,49,144); 
vwnd700_filtre_compomin=NaN*ones(60,31,49,144);

compteurmax=0; 
compteurmin=0;

for a=1:22; % boucle sur les annees
   clear delta; 
   delta=zeros(122,1);
   for b=1:122; % boucle sur les jours : on prepare avant   
        if b>1;
            delta(b)=ind_olr(b,a)-ind_olr(b-1,a);
        end;
   end;
   for b=1:122; % boucle sur les jours
      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
% cas 1 : max deltas apres negetifs et deltas avant postifs   
         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && ind_olr(b,a)>ind_olr2); 
            compteurmax=compteurmax+1;
            vwnd700_filtre_compomax(compteurmax,1,:,:)=vwnd(b-20,a,:,:);
            vwnd700_filtre_compomax(compteurmax,2,:,:)=vwnd(b-19,a,:,:);
            vwnd700_filtre_compomax(compteurmax,3,:,:)=vwnd(b-18,a,:,:);
            vwnd700_filtre_compomax(compteurmax,4,:,:)=vwnd(b-17,a,:,:);
            vwnd700_filtre_compomax(compteurmax,5,:,:)=vwnd(b-16,a,:,:);
            vwnd700_filtre_compomax(compteurmax,6,:,:)=vwnd(b-15,a,:,:);
            vwnd700_filtre_compomax(compteurmax,7,:,:)=vwnd(b-14,a,:,:);
            vwnd700_filtre_compomax(compteurmax,8,:,:)=vwnd(b-13,a,:,:);
            vwnd700_filtre_compomax(compteurmax,9,:,:)=vwnd(b-12,a,:,:);
            vwnd700_filtre_compomax(compteurmax,10,:,:)=vwnd(b-11,a,:,:);

            vwnd700_filtre_compomax(compteurmax,11,:,:)=vwnd(b-10,a,:,:);
            vwnd700_filtre_compomax(compteurmax,12,:,:)=vwnd(b-9,a,:,:);
            vwnd700_filtre_compomax(compteurmax,13,:,:)=vwnd(b-8,a,:,:);
            vwnd700_filtre_compomax(compteurmax,14,:,:)=vwnd(b-7,a,:,:);
            vwnd700_filtre_compomax(compteurmax,15,:,:)=vwnd(b-6,a,:,:);
            vwnd700_filtre_compomax(compteurmax,16,:,:)=vwnd(b-5,a,:,:);
            vwnd700_filtre_compomax(compteurmax,17,:,:)=vwnd(b-4,a,:,:);
            vwnd700_filtre_compomax(compteurmax,18,:,:)=vwnd(b-3,a,:,:);
            vwnd700_filtre_compomax(compteurmax,19,:,:)=vwnd(b-2,a,:,:);
            vwnd700_filtre_compomax(compteurmax,20,:,:)=vwnd(b-1,a,:,:);

            vwnd700_filtre_compomax(compteurmax,21,:,:)=vwnd(b,a,:,:);
            vwnd700_filtre_compomax(compteurmax,22,:,:)=vwnd(b+1,a,:,:);
            vwnd700_filtre_compomax(compteurmax,23,:,:)=vwnd(b+2,a,:,:);
            vwnd700_filtre_compomax(compteurmax,24,:,:)=vwnd(b+3,a,:,:);
            vwnd700_filtre_compomax(compteurmax,25,:,:)=vwnd(b+4,a,:,:);
            vwnd700_filtre_compomax(compteurmax,26,:,:)=vwnd(b+5,a,:,:);
            vwnd700_filtre_compomax(compteurmax,27,:,:)=vwnd(b+6,a,:,:);
            vwnd700_filtre_compomax(compteurmax,28,:,:)=vwnd(b+7,a,:,:);
            vwnd700_filtre_compomax(compteurmax,29,:,:)=vwnd(b+8,a,:,:);
            vwnd700_filtre_compomax(compteurmax,30,:,:)=vwnd(b+9,a,:,:);
            vwnd700_filtre_compomax(compteurmax,31,:,:)=vwnd(b+10,a,:,:);
% cas 2 : min deltas apres positifs et deltas avant negatifs   
         elseif (delta(b+1)>0 && delta(b)>0 && delta(b-1)<0 && delta(b-2)<0 && ind_olr(b,a)<(-ind_olr2));
            compteurmin=compteurmin+1;

            vwnd700_filtre_compomin(compteurmin,1,:,:)=vwnd(b-20,a,:,:);
            vwnd700_filtre_compomin(compteurmin,2,:,:)=vwnd(b-19,a,:,:);
            vwnd700_filtre_compomin(compteurmin,3,:,:)=vwnd(b-18,a,:,:);
            vwnd700_filtre_compomin(compteurmin,4,:,:)=vwnd(b-17,a,:,:);
            vwnd700_filtre_compomin(compteurmin,5,:,:)=vwnd(b-16,a,:,:);
            vwnd700_filtre_compomin(compteurmin,6,:,:)=vwnd(b-15,a,:,:);
            vwnd700_filtre_compomin(compteurmin,7,:,:)=vwnd(b-14,a,:,:);
            vwnd700_filtre_compomin(compteurmin,8,:,:)=vwnd(b-13,a,:,:);
            vwnd700_filtre_compomin(compteurmin,9,:,:)=vwnd(b-12,a,:,:);
            vwnd700_filtre_compomin(compteurmin,10,:,:)=vwnd(b-11,a,:,:);

            vwnd700_filtre_compomin(compteurmin,11,:,:)=vwnd(b-10,a,:,:);
            vwnd700_filtre_compomin(compteurmin,12,:,:)=vwnd(b-9,a,:,:);
            vwnd700_filtre_compomin(compteurmin,13,:,:)=vwnd(b-8,a,:,:);
            vwnd700_filtre_compomin(compteurmin,14,:,:)=vwnd(b-7,a,:,:);
            vwnd700_filtre_compomin(compteurmin,15,:,:)=vwnd(b-6,a,:,:);
            vwnd700_filtre_compomin(compteurmin,16,:,:)=vwnd(b-5,a,:,:);
            vwnd700_filtre_compomin(compteurmin,17,:,:)=vwnd(b-4,a,:,:);
            vwnd700_filtre_compomin(compteurmin,18,:,:)=vwnd(b-3,a,:,:);
            vwnd700_filtre_compomin(compteurmin,19,:,:)=vwnd(b-2,a,:,:);
            vwnd700_filtre_compomin(compteurmin,20,:,:)=vwnd(b-1,a,:,:);

            vwnd700_filtre_compomin(compteurmin,21,:,:)=vwnd(b,a,:,:);
            vwnd700_filtre_compomin(compteurmin,22,:,:)=vwnd(b+1,a,:,:);
            vwnd700_filtre_compomin(compteurmin,23,:,:)=vwnd(b+2,a,:,:);
            vwnd700_filtre_compomin(compteurmin,24,:,:)=vwnd(b+3,a,:,:);
            vwnd700_filtre_compomin(compteurmin,25,:,:)=vwnd(b+4,a,:,:);
            vwnd700_filtre_compomin(compteurmin,26,:,:)=vwnd(b+5,a,:,:);
            vwnd700_filtre_compomin(compteurmin,27,:,:)=vwnd(b+6,a,:,:);
            vwnd700_filtre_compomin(compteurmin,28,:,:)=vwnd(b+7,a,:,:);
            vwnd700_filtre_compomin(compteurmin,29,:,:)=vwnd(b+8,a,:,:);
            vwnd700_filtre_compomin(compteurmin,30,:,:)=vwnd(b+9,a,:,:);
            vwnd700_filtre_compomin(compteurmin,31,:,:)=vwnd(b+10,a,:,:);
         end;
      end;
   end;         
end;


% on fait la somme des valeurs de vwnd700_filtreentiel sur le nbre d occurences
% on obtent un tableau de la forme (jours-avant-apres,lon,lat)
vwnd700_filtre_compomin1(:,:,:)=nanmean(vwnd700_filtre_compomin); clear vwnd700_filtre_compomin;
vwnd700_filtre_compomax1(:,:,:)=nanmean(vwnd700_filtre_compomax); clear vwnd700_filtre_compomax;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(1)
orient('landscape')
load pression.mat;

for e=1:7;
       a=7-(e-1)+1;
       f=2*(a-1)+1;

       clear delta_uwnd700_filtre_min;
       clear delta_vwnd700_filtre_min;
       delta_uwnd700_filtre_min=zeros(49,144);
       delta_vwnd700_filtre_min=zeros(49,144);
       for b=1:49;
          for c=1:144;
             delta_uwnd700_filtre_min(b,c)=uwnd700_filtre_compomin1(f,b,c)-uwnd700_filtre_compomax1(f,b,c);
             delta_vwnd700_filtre_min(b,c)=vwnd700_filtre_compomin1(f,b,c)-vwnd700_filtre_compomax1(f,b,c);
 
         end;
       end;
       subplot(7,1,8-e);

       delta_vwnd700_filtre=zeros(49,144);
       delta_uwnd700_filtre=zeros(49,144);
       delta_vwnd700_filtre(:,1:72)=delta_vwnd700_filtre_min(:,73:144);
       delta_vwnd700_filtre(:,73:144)=delta_vwnd700_filtre_min(:,1:72);
       delta_uwnd700_filtre(:,1:72)=delta_uwnd700_filtre_min(:,73:144);
       delta_uwnd700_filtre(:,73:144)=delta_uwnd700_filtre_min(:,1:72);
       xi=[-180:3.75:176.25]; xi=xi'; yi=[-87.1591:3.708895:87.1591]; 
       clear carteu cartev;
       carteu=interp2(lon-180,lat,delta_uwnd700_filtre,xi,yi); 
       cartev=interp2(lon-180,lat,delta_vwnd700_filtre,xi,yi);
       clear coco ;
       coco(:,:)=pression(e,:,:);
      hgt=interp2(lon-180,lat,coco,xi,yi); 
       palette
       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none'); hold on;
       aa=quiver(xi,yi,carteu,cartev,'k');
       if e==1;
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' 180';'120W';' 60W';'   0';' 60E';'120E';' 180'],'fontname','Arial','fontsize',6);
       else
      set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
       end       
       set (gca,'YTick',[-10:10:40],'YTickLabel',['   ';'  0';'10N';'20N';'30N';'   '],'fontname','Arial','fontsize',6);
       cartemonde1;
       if e==4;
          co=colorbar;            
          set (co,'xtick',[-40:20:40],'xticklabel',[-40:20:40],'fontname','Arial','fontsize',6);
       end;
       set (gca,'tickDir','out');
       axis equal
       axis([-180 180 -10 40]);

       if e==7;
           title('Geopotential and winds at 700 Hpa - Sahelian mode','fontsize',8) ;
       end
       text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/10;
       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
end;


print -depsc2 composite_sahel_1_u700_hgt.eps;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%ù
figure(2)
orient('landscape')
load pression.mat;

for e=1:7;
       a=7-(e-1)+1+7;
       f=2*(a-1)+1;

       clear delta_uwnd700_filtre_min;
       clear delta_vwnd700_filtre_min;
       delta_uwnd700_filtre_min=zeros(49,144);
       delta_vwnd700_filtre_min=zeros(49,144);
       for b=1:49;
          for c=1:144;
             delta_uwnd700_filtre_min(b,c)=uwnd700_filtre_compomin1(f,b,c)-uwnd700_filtre_compomax1(f,b,c);
             delta_vwnd700_filtre_min(b,c)=vwnd700_filtre_compomin1(f,b,c)-vwnd700_filtre_compomax1(f,b,c);
 
         end;
       end;
       subplot(7,1,8-e);

       delta_vwnd700_filtre=zeros(49,144);
       delta_uwnd700_filtre=zeros(49,144);
       delta_vwnd700_filtre(:,1:72)=delta_vwnd700_filtre_min(:,73:144);
       delta_vwnd700_filtre(:,73:144)=delta_vwnd700_filtre_min(:,1:72);
       delta_uwnd700_filtre(:,1:72)=delta_uwnd700_filtre_min(:,73:144);
       delta_uwnd700_filtre(:,73:144)=delta_uwnd700_filtre_min(:,1:72);
       xi=[-180:3.75:176.25]; xi=xi'; yi=[-87.1591:3.708895:87.1591]; 
       clear carteu cartev;
       carteu=interp2(lon-180,lat,delta_uwnd700_filtre,xi,yi); 
       cartev=interp2(lon-180,lat,delta_vwnd700_filtre,xi,yi);
       clear coco ;
       coco(:,:)=pression(e+7,:,:);
      hgt=interp2(lon-180,lat,coco,xi,yi); 
       palette
       aa=contourf(xi,yi,hgt,[-20:2:20],'LineStyle','none'); hold on;
       aa=quiver(xi,yi,carteu,cartev,'k');
       if e==1;
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' 180';'120W';' 60W';'   0';' 60E';'120E';' 180'],'fontname','Arial','fontsize',6);
       else
      set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
       end       
       set (gca,'YTick',[-10:10:40],'YTickLabel',['   ';'  0';'10N';'20N';'30N';'   '],'fontname','Arial','fontsize',6);
       cartemonde1;
       if e==4;
          co=colorbar;            
          set (co,'xtick',[-40:20:40],'xticklabel',[-40:20:40],'fontname','Arial','fontsize',6);
       end;
       set (gca,'tickDir','out');
       axis equal
       axis([-180 180 -10 40]);

       if e==7;
           title('Geopotential and winds at 700 Hpa - Sahelian mode','fontsize',8) ;
       end
       text(-270,10,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
       pos_vert=e/10;
       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
end;


print -depsc2 composite_sahel_2_u700_hgt.eps;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%ù
